execve("/local/firefox/bin/firefox", ["/local/firefox/bin/firefox"], [/* 57 vars */]) = 0
brk(0)                                  = 0x80f8000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77ae000
readlink("/proc/self/exe", "/bin/bash"..., 4096) = 9
open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77ab000
mmap2(0xf77ac000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77ac000
mmap2(0xf77ad000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77ad000
close(4)                                = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf777e000
close(4)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libncurses.so.5", O_RDONLY)  = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\243\0\0004\0\0\0\344"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0644, st_size=202188, ...}) = 0
mmap2(NULL, 202004, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf774c000
mmap2(0xf777b000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2f) = 0xf777b000
close(4)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libdl.so.2", O_RDONLY)       = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf774b000
mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7747000
mmap2(0xf7749000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf7749000
close(4)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/libc.so.6", O_RDONLY)        = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7609000
mmap2(0xf7741000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7741000
mmap2(0xf7744000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7744000
close(4)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7608000
set_thread_area({entry_number:-1 -> 12, base_addr:0xf76086b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xf7741000, 4096, PROT_READ)   = 0
munmap(0xf777e000, 182512)              = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 4
close(4)                                = 0
brk(0)                                  = 0x80f8000
brk(0x80f9000)                          = 0x80f9000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7408000
close(4)                                = 0
brk(0x80fa000)                          = 0x80fa000
brk(0x80fb000)                          = 0x80fb000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72e7000
close(4)                                = 0
getuid32()                              = 30881
getgid32()                              = 30001
geteuid32()                             = 30881
getegid32()                             = 30001
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
time(NULL)                              = 1280325456
brk(0x80fc000)                          = 0x80fc000
open("/proc/meminfo", O_RDONLY)         = 4
fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77aa000
read(4, "MemTotal:        8128420 kB\nMemFr"..., 1024) = 986
close(4)                                = 0
munmap(0xf77aa000, 4096)                = 0
brk(0x80fd000)                          = 0x80fd000
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="faui01", ...}) = 0
brk(0x80fe000)                          = 0x80fe000
brk(0x80ff000)                          = 0x80ff000
brk(0x8100000)                          = 0x8100000
stat64("/home/cip/2009/re06huxa", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
getpid()                                = 23039
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=25700, ...}) = 0
mmap2(NULL, 25700, PROT_READ, MAP_SHARED, 4, 0) = 0xf77a4000
close(4)                                = 0
brk(0x8101000)                          = 0x8101000
getppid()                               = 23038
getpgrp()                               = 23038
rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
getrlimit(RLIMIT_NPROC, {rlim_cur=400, rlim_max=400}) = 0
brk(0x8102000)                          = 0x8102000
open("/usr/share/locale/locale.alias", O_RDONLY) = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=2539, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77a3000
read(4, "# Locale name alias data base.\n# "..., 4096) = 2539
brk(0x8103000)                          = 0x8103000
brk(0x8104000)                          = 0x8104000
brk(0x8105000)                          = 0x8105000
read(4, ""..., 4096)                    = 0
close(4)                                = 0
munmap(0xf77a3000, 4096)                = 0
open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_COLLATE", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC_CTYPE=en_US/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_COLLATE", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_MESSAGES", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC_CTYPE=en_US/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_MESSAGES", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
brk(0x8106000)                          = 0x8106000
open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_NUMERIC", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC_CTYPE=en_US/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_NUMERIC", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
brk(0x8107000)                          = 0x8107000
brk(0x8108000)                          = 0x8108000
open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_TIME", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC_CTYPE=en_US/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_TIME", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/lib/locale/LC/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/local/firefox/bin/firefox", O_RDONLY|O_LARGEFILE) = 4
ioctl(4, SNDCTL_TMR_TIMEBASE or TCGETS, 0xffeeb418) = -1 ENOTTY (Inappropriate ioctl for device)
_llseek(4, 0, [0], SEEK_CUR)            = 0
read(4, "#!/bin/sh\n#\n# ***** BEGIN LICENSE"..., 80) = 80
_llseek(4, 0, [0], SEEK_SET)            = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=2*1024}) = 0
dup2(4, 255)                            = 255
close(4)                                = 0
fcntl64(255, F_SETFD, FD_CLOEXEC)       = 0
fcntl64(255, F_GETFL)                   = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat64(255, {st_mode=S_IFREG|0755, st_size=3939, ...}) = 0
_llseek(255, 0, [0], SEEK_CUR)          = 0
brk(0x8109000)                          = 0x8109000
brk(0x810a000)                          = 0x810a000
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\n#\n# ***** BEGIN LICENSE"..., 3939) = 3939
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
_llseek(255, -1791, [2148], SEEK_CUR)   = 0
clone(Process 23040 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23040
[pid 23039] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23040] close(255)                  = 0
[pid 23039] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23040] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0},  <unfinished ...>
[pid 23040] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23040] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23039] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23039] close(6 <unfinished ...>
[pid 23040] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23039] <... close resumed> )       = 0
[pid 23040] rt_sigaction(SIGTTIN, {SIG_DFL},  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23040] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23040] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23040] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23040] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23040] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23040] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23040] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23040] dup2(6, 1)                  = 1
[pid 23040] close(6)                    = 0
[pid 23040] close(4)                    = 0
[pid 23040] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23040] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23040] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23040] stat64("/local/awesome/bin/dirname", 0xffeeae48) = -1 ENOENT (No such file or directory)
[pid 23040] stat64("/home/cip/2009/re06huxa/bin/dirname", 0xffeeae48) = -1 ENOENT (No such file or directory)
[pid 23040] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23040] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23040] read(4, "65536\n"..., 31)   = 6
[pid 23040] close(4)                    = 0
[pid 23040] brk(0x818a000)              = 0x818a000
[pid 23040] getgroups32(65536, [30001]) = 1
[pid 23040] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23040] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23040] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23040] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23040] execve("/usr/bin/dirname", ["dirname", "/local/firefox/bin/firefox"], [/* 56 vars */]) = 0
[pid 23040] brk(0)                      = 0x804f000
[pid 23040] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23040] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77c8000
[pid 23040] readlink("/proc/self/exe", "/usr/bin/dirname"..., 4096) = 16
[pid 23040] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23040] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23040] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23040] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77c5000
[pid 23040] mmap2(0xf77c6000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77c6000
[pid 23040] mmap2(0xf77c7000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77c7000
[pid 23040] close(4)                    = 0
[pid 23040] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23040] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23040] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23040] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7798000
[pid 23040] close(4)                    = 0
[pid 23040] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23040] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23040] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23040] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23040] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf765a000
[pid 23040] mmap2(0xf7792000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7792000
[pid 23040] mmap2(0xf7795000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7795000
[pid 23040] close(4)                    = 0
[pid 23040] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23040] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23040] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23040] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23040] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7659000
[pid 23040] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7655000
[pid 23040] mmap2(0xf7657000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf7657000
[pid 23040] close(4)                    = 0
[pid 23040] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7654000
[pid 23040] set_thread_area({entry_number:-1 -> 12, base_addr:0xf76546b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23040] mprotect(0xf7792000, 4096, PROT_READ) = 0
[pid 23040] munmap(0xf7798000, 182512)  = 0
[pid 23040] brk(0)                      = 0x804f000
[pid 23040] brk(0x8070000)              = 0x8070000
[pid 23040] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23040] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23040] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7454000
[pid 23040] close(4)                    = 0
[pid 23040] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23040] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23040] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf7333000
[pid 23040] close(4)                    = 0
[pid 23040] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23040] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77c4000
[pid 23040] write(1, "/local/firefox/bin\n"..., 19 <unfinished ...>
[pid 23039] <... read resumed> "/local/firefox/bin\n"..., 128) = 19
[pid 23039] read(4,  <unfinished ...>
[pid 23040] <... write resumed> )       = 19
[pid 23040] close(1 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23039] close(4)                    = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23040] <... close resumed> )       = 0
[pid 23040] munmap(0xf77c4000, 4096)    = 0
[pid 23040] close(2)                    = 0
[pid 23040] exit_group(0)               = ?
Process 23039 resumed
Process 23040 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23040
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffeeac38, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "progbase=`basename \"$progname\"`\nr"..., 3939) = 1791
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
_llseek(255, -1759, [2180], SEEK_CUR)   = 0
clone(Process 23051 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23051
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23051] close(255 <unfinished ...>
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0},  <unfinished ...>
[pid 23051] <... close resumed> )       = 0
[pid 23039] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23051] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] close(6 <unfinished ...>
[pid 23051] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23051] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGTTIN, {SIG_DFL},  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23051] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23051] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23051] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23051] dup2(6, 1)                  = 1
[pid 23051] close(6)                    = 0
[pid 23051] close(4)                    = 0
[pid 23051] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23051] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23051] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23051] stat64("/local/awesome/bin/basename", 0xffeeae48) = -1 ENOENT (No such file or directory)
[pid 23051] stat64("/home/cip/2009/re06huxa/bin/basename", 0xffeeae48) = -1 ENOENT (No such file or directory)
[pid 23051] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23051] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23051] read(4, "65536\n"..., 31)   = 6
[pid 23051] close(4)                    = 0
[pid 23051] brk(0x818a000)              = 0x818a000
[pid 23051] getgroups32(65536, [30001]) = 1
[pid 23051] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23051] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23051] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23051] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23051] execve("/usr/bin/basename", ["basename", "/local/firefox/bin/firefox"], [/* 56 vars */]) = 0
[pid 23051] brk(0)                      = 0x804f000
[pid 23051] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23051] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77ae000
[pid 23051] readlink("/proc/self/exe", "/usr/bin/basename"..., 4096) = 17
[pid 23051] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23051] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23051] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23051] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77ab000
[pid 23051] mmap2(0xf77ac000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77ac000
[pid 23051] mmap2(0xf77ad000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77ad000
[pid 23051] close(4)                    = 0
[pid 23051] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23051] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23051] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23051] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf777e000
[pid 23051] close(4)                    = 0
[pid 23051] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23051] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23051] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23051] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23051] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7640000
[pid 23051] mmap2(0xf7778000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7778000
[pid 23051] mmap2(0xf777b000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf777b000
[pid 23051] close(4)                    = 0
[pid 23051] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23051] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23051] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23051] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23051] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf763f000
[pid 23051] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf763b000
[pid 23051] mmap2(0xf763d000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf763d000
[pid 23051] close(4)                    = 0
[pid 23051] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf763a000
[pid 23051] set_thread_area({entry_number:-1 -> 12, base_addr:0xf763a6b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23051] mprotect(0xf7778000, 4096, PROT_READ) = 0
[pid 23051] munmap(0xf777e000, 182512)  = 0
[pid 23051] brk(0)                      = 0x804f000
[pid 23051] brk(0x8070000)              = 0x8070000
[pid 23051] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23051] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23051] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf743a000
[pid 23051] close(4)                    = 0
[pid 23051] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23051] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23051] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf7319000
[pid 23051] close(4)                    = 0
[pid 23051] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23051] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77aa000
[pid 23051] write(1, "firefox\n"..., 8) = 8
[pid 23051] close(1 <unfinished ...>
[pid 23039] <... read resumed> "firefox\n"..., 128) = 8
[pid 23051] <... close resumed> )       = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23051] munmap(0xf77aa000, 4096 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23051] <... munmap resumed> )      = 0
[pid 23039] close(4 <unfinished ...>
[pid 23051] close(2 <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23051] <... close resumed> )       = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23051] exit_group(0)               = ?
Process 23051 detached
<... rt_sigprocmask resumed> [], 8)     = 0
rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23051
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffeeac38, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "run_moz=\"$curdir/run-mozilla.sh\"\n"..., 3939) = 1759
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
brk(0x810b000)                          = 0x810b000
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat64("/local/firefox/bin/run-mozilla.sh", 0xffeeb11c) = -1 ENOENT (No such file or directory)
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
_llseek(255, -1115, [2824], SEEK_CUR)   = 0
clone(Process 23052 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23052
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23052] close(255 <unfinished ...>
[pid 23039] close(6 <unfinished ...>
[pid 23052] <... close resumed> )       = 0
[pid 23039] <... close resumed> )       = 0
[pid 23052] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23052] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23052] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23052] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23052] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23052] dup2(6, 1)                  = 1
[pid 23052] close(6)                    = 0
[pid 23052] close(4)                    = 0
[pid 23052] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23052] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23052] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23052] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23052] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23052] execve("/bin/pwd", ["/bin/pwd"], [/* 56 vars */]) = 0
[pid 23052] brk(0)                      = 0x8050000
[pid 23052] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23052] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7753000
[pid 23052] readlink("/proc/self/exe", "/bin/pwd"..., 4096) = 8
[pid 23052] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23052] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23052] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23052] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7750000
[pid 23052] mmap2(0xf7751000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf7751000
[pid 23052] mmap2(0xf7752000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7752000
[pid 23052] close(4)                    = 0
[pid 23052] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23052] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23052] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23052] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7723000
[pid 23052] close(4)                    = 0
[pid 23052] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23052] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23052] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23052] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23052] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75e5000
[pid 23052] mmap2(0xf771d000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf771d000
[pid 23052] mmap2(0xf7720000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7720000
[pid 23052] close(4)                    = 0
[pid 23052] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23052] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23052] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23052] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23052] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75e4000
[pid 23052] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75e0000
[pid 23052] mmap2(0xf75e2000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75e2000
[pid 23052] close(4)                    = 0
[pid 23052] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75df000
[pid 23052] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75df6b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23052] mprotect(0xf771d000, 4096, PROT_READ) = 0
[pid 23052] munmap(0xf7723000, 182512)  = 0
[pid 23052] brk(0)                      = 0x8050000
[pid 23052] brk(0x8071000)              = 0x8071000
[pid 23052] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23052] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23052] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73df000
[pid 23052] close(4)                    = 0
[pid 23052] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23052] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23052] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72be000
[pid 23052] close(4)                    = 0
[pid 23052] getcwd("/home/cip/2009/re06huxa"..., 4096) = 24
[pid 23052] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23052] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf774f000
[pid 23052] write(1, "/home/cip/2009/re06huxa\n"..., 24 <unfinished ...>
[pid 23039] <... read resumed> "/home/cip/2009/re06huxa\n"..., 128) = 24
[pid 23039] read(4,  <unfinished ...>
[pid 23052] <... write resumed> )       = 24
[pid 23052] close(1 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23039] close(4)                    = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23052] <... close resumed> )       = 0
[pid 23052] munmap(0xf774f000, 4096)    = 0
[pid 23052] close(2)                    = 0
[pid 23052] exit_group(0)               = ?
Process 23039 resumed
Process 23052 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23052
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffeea728, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
lstat64("/local/firefox/bin/firefox", {st_mode=S_IFLNK|0777, st_size=18, ...}) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23053 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23053
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23053] close(255)                  = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23053] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] close(6 <unfinished ...>
[pid 23053] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23053] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGTTIN, {SIG_DFL},  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23053] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23053] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23053] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23053] dup2(6, 1)                  = 1
[pid 23053] close(6)                    = 0
[pid 23053] close(4)                    = 0
[pid 23053] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23053] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23053] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23053] stat64("/local/awesome/bin/basename", 0xffee9778) = -1 ENOENT (No such file or directory)
[pid 23053] stat64("/home/cip/2009/re06huxa/bin/basename", 0xffee9778) = -1 ENOENT (No such file or directory)
[pid 23053] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23053] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23053] read(4, "65536\n"..., 31)   = 6
[pid 23053] close(4)                    = 0
[pid 23053] brk(0x818b000)              = 0x818b000
[pid 23053] getgroups32(65536, [30001]) = 1
[pid 23053] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23053] brk(0x818c000)              = 0x818c000
[pid 23053] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23053] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23053] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23053] execve("/usr/bin/basename", ["basename", "/local/firefox/bin/firefox"], [/* 56 vars */]) = 0
[pid 23053] brk(0)                      = 0x804f000
[pid 23053] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23053] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7744000
[pid 23053] readlink("/proc/self/exe", "/usr/bin/basename"..., 4096) = 17
[pid 23053] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23053] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23053] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23053] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7741000
[pid 23053] mmap2(0xf7742000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf7742000
[pid 23053] mmap2(0xf7743000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7743000
[pid 23053] close(4)                    = 0
[pid 23053] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23053] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23053] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23053] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7714000
[pid 23053] close(4)                    = 0
[pid 23053] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23053] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23053] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23053] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23053] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75d6000
[pid 23053] mmap2(0xf770e000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf770e000
[pid 23053] mmap2(0xf7711000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7711000
[pid 23053] close(4)                    = 0
[pid 23053] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23053] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23053] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23053] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23053] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75d5000
[pid 23053] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75d1000
[pid 23053] mmap2(0xf75d3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75d3000
[pid 23053] close(4)                    = 0
[pid 23053] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75d0000
[pid 23053] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75d06b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23053] mprotect(0xf770e000, 4096, PROT_READ) = 0
[pid 23053] munmap(0xf7714000, 182512)  = 0
[pid 23053] brk(0)                      = 0x804f000
[pid 23053] brk(0x8070000)              = 0x8070000
[pid 23053] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23053] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23053] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73d0000
[pid 23053] close(4)                    = 0
[pid 23053] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23053] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23053] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72af000
[pid 23053] close(4)                    = 0
[pid 23053] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23053] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7740000
[pid 23053] write(1, "firefox\n"..., 8) = 8
[pid 23039] <... read resumed> "firefox\n"..., 128) = 8
[pid 23053] close(1 <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23053] <... close resumed> )       = 0
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23053] munmap(0xf7740000, 4096 <unfinished ...>
[pid 23039] close(4 <unfinished ...>
[pid 23053] <... munmap resumed> )      = 0
[pid 23039] <... close resumed> )       = 0
[pid 23053] close(2 <unfinished ...>
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23053] <... close resumed> )       = 0
[pid 23039] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23053] exit_group(0)               = ?
Process 23053 detached
rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23053
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffee9568, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23054 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23054
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23054] close(255 <unfinished ...>
[pid 23039] close(6 <unfinished ...>
[pid 23054] <... close resumed> )       = 0
[pid 23039] <... close resumed> )       = 0
[pid 23054] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23054] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23054] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23054] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23054] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23054] dup2(6, 1)                  = 1
[pid 23054] close(6)                    = 0
[pid 23054] close(4)                    = 0
[pid 23054] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23054] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23054] brk(0x810c000)              = 0x810c000
[pid 23054] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23054] stat64("/local/awesome/bin/dirname", 0xffee9898) = -1 ENOENT (No such file or directory)
[pid 23054] stat64("/home/cip/2009/re06huxa/bin/dirname", 0xffee9898) = -1 ENOENT (No such file or directory)
[pid 23054] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23054] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23054] read(4, "65536\n"..., 31)   = 6
[pid 23054] close(4)                    = 0
[pid 23054] brk(0x818c000)              = 0x818c000
[pid 23054] getgroups32(65536, [30001]) = 1
[pid 23054] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23054] brk(0x818d000)              = 0x818d000
[pid 23054] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23054] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23054] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23054] execve("/usr/bin/dirname", ["dirname", "/local/firefox/bin/firefox"], [/* 56 vars */]) = 0
[pid 23054] brk(0)                      = 0x804f000
[pid 23054] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23054] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77df000
[pid 23054] readlink("/proc/self/exe", "/usr/bin/dirname"..., 4096) = 16
[pid 23054] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23054] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23054] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23054] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77dc000
[pid 23054] mmap2(0xf77dd000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77dd000
[pid 23054] mmap2(0xf77de000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77de000
[pid 23054] close(4)                    = 0
[pid 23054] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23054] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23054] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23054] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf77af000
[pid 23054] close(4)                    = 0
[pid 23054] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23054] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23054] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23054] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23054] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7671000
[pid 23054] mmap2(0xf77a9000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf77a9000
[pid 23054] mmap2(0xf77ac000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77ac000
[pid 23054] close(4)                    = 0
[pid 23054] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23054] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23054] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23054] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23054] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7670000
[pid 23054] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf766c000
[pid 23054] mmap2(0xf766e000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf766e000
[pid 23054] close(4)                    = 0
[pid 23054] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf766b000
[pid 23054] set_thread_area({entry_number:-1 -> 12, base_addr:0xf766b6b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23054] mprotect(0xf77a9000, 4096, PROT_READ) = 0
[pid 23054] munmap(0xf77af000, 182512)  = 0
[pid 23054] brk(0)                      = 0x804f000
[pid 23054] brk(0x8070000)              = 0x8070000
[pid 23054] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23054] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23054] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf746b000
[pid 23054] close(4)                    = 0
[pid 23054] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23054] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23054] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf734a000
[pid 23054] close(4)                    = 0
[pid 23054] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23054] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77db000
[pid 23054] write(1, "/local/firefox/bin\n"..., 19) = 19
[pid 23039] <... read resumed> "/local/firefox/bin\n"..., 128) = 19
[pid 23054] close(1 <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23054] <... close resumed> )       = 0
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23054] munmap(0xf77db000, 4096 <unfinished ...>
[pid 23039] close(4 <unfinished ...>
[pid 23054] <... munmap resumed> )      = 0
[pid 23039] <... close resumed> )       = 0
[pid 23054] close(2 <unfinished ...>
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23054] <... close resumed> )       = 0
[pid 23039] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23054] exit_group(0)               = ?
Process 23054 detached
rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23054
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffee9688, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
stat64("/local", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
stat64("/local/firefox", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/local/firefox/bin", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
chdir("/local/firefox/bin")             = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23055 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23055
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23055] close(255 <unfinished ...>
[pid 23039] close(6 <unfinished ...>
[pid 23055] <... close resumed> )       = 0
[pid 23039] <... close resumed> )       = 0
[pid 23055] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23055] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23055] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23055] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23055] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23055] dup2(6, 1)                  = 1
[pid 23055] close(6)                    = 0
[pid 23055] close(4)                    = 0
[pid 23055] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23055] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23055] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23055] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23055] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23055] execve("/bin/pwd", ["/bin/pwd"], [/* 57 vars */]) = 0
[pid 23055] brk(0)                      = 0x8050000
[pid 23055] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23055] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7765000
[pid 23055] readlink("/proc/self/exe", "/bin/pwd"..., 4096) = 8
[pid 23055] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23055] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23055] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23055] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7762000
[pid 23055] mmap2(0xf7763000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf7763000
[pid 23055] mmap2(0xf7764000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7764000
[pid 23055] close(4)                    = 0
[pid 23055] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23055] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23055] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23055] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7735000
[pid 23055] close(4)                    = 0
[pid 23055] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23055] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23055] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23055] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23055] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75f7000
[pid 23055] mmap2(0xf772f000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf772f000
[pid 23055] mmap2(0xf7732000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7732000
[pid 23055] close(4)                    = 0
[pid 23055] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23055] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23055] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23055] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23055] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75f6000
[pid 23055] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75f2000
[pid 23055] mmap2(0xf75f4000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75f4000
[pid 23055] close(4)                    = 0
[pid 23055] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75f1000
[pid 23055] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75f16b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23055] mprotect(0xf772f000, 4096, PROT_READ) = 0
[pid 23055] munmap(0xf7735000, 182512)  = 0
[pid 23055] brk(0)                      = 0x8050000
[pid 23055] brk(0x8071000)              = 0x8071000
[pid 23055] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23055] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23055] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73f1000
[pid 23055] close(4)                    = 0
[pid 23055] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23055] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23055] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72d0000
[pid 23055] close(4)                    = 0
[pid 23055] getcwd("/local/firefox/bin"..., 4096) = 19
[pid 23055] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23055] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7761000
[pid 23055] write(1, "/local/firefox/bin\n"..., 19) = 19
[pid 23055] close(1 <unfinished ...>
[pid 23039] <... read resumed> "/local/firefox/bin\n"..., 128) = 19
[pid 23055] <... close resumed> )       = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23055] munmap(0xf7761000, 4096 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23055] <... munmap resumed> )      = 0
[pid 23039] close(4 <unfinished ...>
[pid 23055] close(2 <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23055] <... close resumed> )       = 0
[pid 23055] exit_group(0)               = ?
Process 23039 resumed
Process 23055 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23055
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffee98a8, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
stat64("/local", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
stat64("/local/firefox", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/local/firefox/bin", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
chdir("/local/firefox/bin")             = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23056 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23056
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23039] close(6)                    = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23056] close(255)                  = 0
[pid 23056] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23056] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23056] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23056] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23056] dup2(6, 1)                  = 1
[pid 23056] close(6)                    = 0
[pid 23056] close(4)                    = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23056] pipe([4, 6])                = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [CHLD], 8) = 0
[pid 23056] clone(Process 23057 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23057
[pid 23057] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23056] rt_sigprocmask(SIG_SETMASK, [CHLD],  <unfinished ...>
[pid 23057] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23056] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23056] close(6 <unfinished ...>
[pid 23057] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] <... close resumed> )       = 0
[pid 23057] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] close(6 <unfinished ...>
[pid 23057] rt_sigaction(SIGTTOU, {SIG_DFL},  <unfinished ...>
[pid 23056] <... close resumed> )       = -1 EBADF (Bad file descriptor)
[pid 23057] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23057] close(4 <unfinished ...>
[pid 23056] rt_sigprocmask(SIG_BLOCK, [INT CHLD],  <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23056] <... rt_sigprocmask resumed> [CHLD], 8) = 0
[pid 23057] dup2(6, 1)                  = 1
[pid 23056] clone( <unfinished ...>
[pid 23057] close(6)                    = 0
Process 23058 attached
[pid 23056] <... clone resumed> child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23058
[pid 23056] rt_sigprocmask(SIG_SETMASK, [CHLD], NULL, 8) = 0
[pid 23056] close(4 <unfinished ...>
[pid 23057] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23056] <... close resumed> )       = 0
[pid 23057] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23058] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23056] <... rt_sigprocmask resumed> [CHLD], 8) = 0
[pid 23058] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23057] rt_sigaction(SIGCHLD, {SIG_DFL},  <unfinished ...>
[pid 23058] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23057] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23058] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23056] rt_sigprocmask(SIG_SETMASK, [CHLD], NULL, 8) = 0
[pid 23056] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23058] rt_sigaction(SIGTTIN, {SIG_DFL},  <unfinished ...>
[pid 23057] execve("/bin/ls", ["/bin/ls", "-l", "firefox"], [/* 57 vars */] <unfinished ...>
[pid 23058] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23056] <... rt_sigprocmask resumed> [CHLD], 8) = 0
[pid 23056] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {0x8091d90, [], 0}, 8) = 0
[pid 23056] waitpid(-1, Process 23056 suspended
 <unfinished ...>
[pid 23057] <... execve resumed> )      = 0
[pid 23058] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23058] dup2(4, 0)                  = 0
[pid 23058] close(4)                    = 0
[pid 23058] stat64(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid 23058] stat64("/local/awesome/bin/sed", 0xffee99f8) = -1 ENOENT (No such file or directory)
[pid 23058] stat64("/home/cip/2009/re06huxa/bin/sed", 0xffee99f8) = -1 ENOENT (No such file or directory)
[pid 23058] stat64("/usr/bin/sed", 0xffee99f8) = -1 ENOENT (No such file or directory)
[pid 23058] stat64("/usr/sbin/sed", 0xffee99f8) = -1 ENOENT (No such file or directory)
[pid 23058] stat64("/bin/sed", {st_mode=S_IFREG|0755, st_size=40468, ...}) = 0
[pid 23058] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23058] read(4, "65536\n"..., 31)   = 6
[pid 23058] close(4)                    = 0
[pid 23058] brk(0x818b000)              = 0x818b000
[pid 23058] getgroups32(65536, [30001]) = 1
[pid 23058] stat64("/bin/sed", {st_mode=S_IFREG|0755, st_size=40468, ...}) = 0
[pid 23058] brk(0x818c000)              = 0x818c000
[pid 23058] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23058] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23058] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23058] execve("/bin/sed", ["sed", "-e", "s/^.* -> //"], [/* 57 vars */] <unfinished ...>
[pid 23057] brk(0 <unfinished ...>
[pid 23058] <... execve resumed> )      = 0
[pid 23057] <... brk resumed> )         = 0x805f000
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] brk(0 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... brk resumed> )         = 0x8058000
[pid 23057] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77c4000
[pid 23058] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23057] readlink("/proc/self/exe",  <unfinished ...>
[pid 23058] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23057] <... readlink resumed> "/bin/ls"..., 4096) = 7
[pid 23058] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY <unfinished ...>
[pid 23058] <... mmap2 resumed> )       = 0xf77ca000
[pid 23057] <... open resumed> )        = 4
[pid 23057] read(4,  <unfinished ...>
[pid 23058] readlink("/proc/self/exe",  <unfinished ...>
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23058] <... readlink resumed> "/bin/sed"..., 4096) = 8
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY <unfinished ...>
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23058] <... open resumed> )        = 4
[pid 23057] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] read(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf77c1000
[pid 23058] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23057] mmap2(0xf77c2000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf77c2000
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23057] mmap2(0xf77c3000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23058] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf77c3000
[pid 23058] <... mmap2 resumed> )       = 0xf77c7000
[pid 23057] close(4 <unfinished ...>
[pid 23058] mmap2(0xf77c8000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... mmap2 resumed> )       = 0xf77c8000
[pid 23057] access("/etc/ld.so.preload", R_OK <unfinished ...>
[pid 23058] mmap2(0xf77c9000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... mmap2 resumed> )       = 0xf77c9000
[pid 23057] open("/etc/ld.so.cache", O_RDONLY <unfinished ...>
[pid 23058] close(4 <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... close resumed> )       = 0
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] access("/etc/ld.so.preload", R_OK <unfinished ...>
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23058] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23057] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0 <unfinished ...>
[pid 23058] open("/etc/ld.so.cache", O_RDONLY <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf7794000
[pid 23058] <... open resumed> )        = 4
[pid 23057] close(4 <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... mmap2 resumed> )       = 0xf779a000
[pid 23057] open("/lib/librt.so.1", O_RDONLY <unfinished ...>
[pid 23058] close(4 <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... close resumed> )       = 0
[pid 23057] read(4,  <unfinished ...>
[pid 23058] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\30\0\0004\0\0\0\240"..., 512) = 512
[pid 23058] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] open("/lib/libc.so.6", O_RDONLY <unfinished ...>
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=30624, ...}) = 0
[pid 23058] <... open resumed> )        = 4
[pid 23057] mmap2(NULL, 33336, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] read(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf778b000
[pid 23058] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23057] mmap2(0xf7792000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6 <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf7792000
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23057] close(4 <unfinished ...>
[pid 23058] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... mmap2 resumed> )       = 0xf765c000
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] mmap2(0xf7794000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... mmap2 resumed> )       = 0xf7794000
[pid 23057] open("/lib/libselinux.so.1", O_RDONLY <unfinished ...>
[pid 23058] mmap2(0xf7797000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... mmap2 resumed> )       = 0xf7797000
[pid 23057] read(4,  <unfinished ...>
[pid 23058] close(4 <unfinished ...>
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260B\0\0004\0\0\0\314"..., 512) = 512
[pid 23058] <... close resumed> )       = 0
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=95964, ...}) = 0
[pid 23058] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23058] open("/lib/libdl.so.2", O_RDONLY <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf778a000
[pid 23058] <... open resumed> )        = 4
[pid 23057] mmap2(NULL, 101276, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] read(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf7771000
[pid 23058] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23057] mmap2(0xf7788000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x16 <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf7788000
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23057] close(4 <unfinished ...>
[pid 23058] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... mmap2 resumed> )       = 0xf765b000
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... mmap2 resumed> )       = 0xf7657000
[pid 23057] open("/lib/libacl.so.1", O_RDONLY <unfinished ...>
[pid 23058] mmap2(0xf7659000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1 <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... mmap2 resumed> )       = 0xf7659000
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\27\0\0004\0\0\0\320"..., 512) = 512
[pid 23058] close(4 <unfinished ...>
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] <... close resumed> )       = 0
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=24800, ...}) = 0
[pid 23058] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] mmap2(NULL, 27680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] <... mmap2 resumed> )       = 0xf7656000
[pid 23057] <... mmap2 resumed> )       = 0xf776a000
[pid 23058] set_thread_area({entry_number:-1 ->  <unfinished ...>
[pid 23057] mmap2(0xf7770000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5 <unfinished ...>
[pid 23058] <... set_thread_area resumed> 12, base_addr:0xf76566b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23057] <... mmap2 resumed> )       = 0xf7770000
[pid 23057] close(4)                    = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23058] mprotect(0xf7794000, 4096, PROT_READ <unfinished ...>
[pid 23057] read(4,  <unfinished ...>
[pid 23058] <... mprotect resumed> )    = 0
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23058] munmap(0xf779a000, 182512 <unfinished ...>
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] <... munmap resumed> )      = 0
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23057] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf762c000
[pid 23057] mmap2(0xf7764000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7764000
[pid 23057] mmap2(0xf7767000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23058] brk(0 <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf7767000
[pid 23058] <... brk resumed> )         = 0x8058000
[pid 23057] close(4 <unfinished ...>
[pid 23058] brk(0x8079000 <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... brk resumed> )         = 0x8079000
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... open resumed> )        = 4
[pid 23057] open("/lib/libdl.so.2", O_RDONLY <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23057] read(4,  <unfinished ...>
[pid 23058] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0 <unfinished ...>
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23058] <... mmap2 resumed> )       = 0xf7456000
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23058] close(4 <unfinished ...>
[pid 23057] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] <... close resumed> )       = 0
[pid 23057] <... mmap2 resumed> )       = 0xf7628000
[pid 23057] mmap2(0xf762a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1 <unfinished ...>
[pid 23058] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf762a000
[pid 23058] <... open resumed> )        = 4
[pid 23057] close(4 <unfinished ...>
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK <unfinished ...>
[pid 23058] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222 <unfinished ...>
[pid 23057] <... access resumed> )      = -1 ENOENT (No such file or directory)
[pid 23058] <... mmap2 resumed> )       = 0xf7335000
[pid 23057] open("/lib/libpthread.so.0", O_RDONLY <unfinished ...>
[pid 23058] close(4 <unfinished ...>
[pid 23057] <... open resumed> )        = 4
[pid 23058] <... close resumed> )       = 0
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220G\0\0004\0\0\0\330"..., 512) = 512
[pid 23057] fstat64(4, {st_mode=S_IFREG|0755, st_size=112012, ...}) = 0
[pid 23058] open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY <unfinished ...>
[pid 23057] mmap2(NULL, 94688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] <... open resumed> )        = 4
[pid 23057] <... mmap2 resumed> )       = 0xf7610000
[pid 23058] fstat64(4,  <unfinished ...>
[pid 23057] mmap2(0xf7624000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x13 <unfinished ...>
[pid 23058] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=25700, ...}) = 0
[pid 23057] <... mmap2 resumed> )       = 0xf7624000
[pid 23058] mmap2(NULL, 25700, PROT_READ, MAP_SHARED, 4, 0 <unfinished ...>
[pid 23057] mmap2(0xf7626000, 4576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23058] <... mmap2 resumed> )       = 0xf77c0000
[pid 23057] <... mmap2 resumed> )       = 0xf7626000
[pid 23058] close(4 <unfinished ...>
[pid 23057] close(4 <unfinished ...>
[pid 23058] <... close resumed> )       = 0
[pid 23057] <... close resumed> )       = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libattr.so.1", O_RDONLY) = 4
[pid 23057] read(4,  <unfinished ...>
[pid 23058] fstat64(0,  <unfinished ...>
[pid 23057] <... read resumed> "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\16\0\0004\0\0\0\210"..., 512) = 512
[pid 23058] <... fstat64 resumed> {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23057] fstat64(4,  <unfinished ...>
[pid 23058] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23057] <... fstat64 resumed> {st_mode=S_IFREG|0644, st_size=14744, ...}) = 0
[pid 23058] <... mmap2 resumed> )       = 0xf77bf000
[pid 23057] mmap2(NULL, 17612, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0 <unfinished ...>
[pid 23058] read(0,  <unfinished ...>
[pid 23057] <... mmap2 resumed> )       = 0xf760b000
[pid 23057] mmap2(0xf760f000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3) = 0xf760f000
[pid 23057] close(4)                    = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf760a000
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7609000
[pid 23057] set_thread_area({entry_number:-1 -> 12, base_addr:0xf7609700, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23057] mprotect(0xf7764000, 4096, PROT_READ) = 0
[pid 23057] munmap(0xf7794000, 182512)  = 0
[pid 23057] set_tid_address(0xf7609748) = 23057
[pid 23057] set_robust_list(0xf7609750, 0xc) = 0
[pid 23057] futex(0xffd29670, FUTEX_WAKE_PRIVATE, 1) = 0
[pid 23057] rt_sigaction(SIGRTMIN, {0xf7614280, [], SA_SIGINFO}, NULL, 8) = 0
[pid 23057] rt_sigaction(SIGRT_1, {0xf7614680, [], SA_RESTART|SA_SIGINFO}, NULL, 8) = 0
[pid 23057] rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
[pid 23057] getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=16384*1024}) = 0
[pid 23057] uname({sys="Linux", node="faui01", ...}) = 0
[pid 23057] futex(0xf762b070, FUTEX_WAKE_PRIVATE, 2147483647) = 0
[pid 23057] brk(0)                      = 0x805f000
[pid 23057] brk(0x8080000)              = 0x8080000
[pid 23057] open("/etc/selinux/config", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
[pid 23057] statfs64("/selinux", 84, {f_type="EXT2_SUPER_MAGIC", f_bsize=4096, f_blocks=15618821, f_bfree=7786706, f_bavail=7628025, f_files=7946240, f_ffree=7293955, f_fsid={1160346170, -172973571}, f_namelen=255, f_frsize=4096}) = 0
[pid 23057] open("/proc/mounts", O_RDONLY|O_LARGEFILE) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77c0000
[pid 23057] read(4, "rootfs / rootfs rw 0 0\n/dev/root "..., 1024) = 1024
[pid 23057] read(4, "ot /local/ciptools ext3 rw,relati"..., 1024) = 1024
[pid 23057] read(4, "time,vers=3,rsize=8192,wsize=8192"..., 1024) = 1024
[pid 23057] read(4, " nfs rw,nosuid,nodev,relatime,ver"..., 1024) = 1024
[pid 23057] read(4, "x-3.6 /local/firefox nfs rw,nosui"..., 1024) = 1024
[pid 23057] read(4, "s,mountport=65535,addr=131.188.30"..., 1024) = 517
[pid 23057] read(4, ""..., 1024)        = 0
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf77c0000, 4096)    = 0
[pid 23057] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23057] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7409000
[pid 23057] close(4)                    = 0
[pid 23057] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23057] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72e8000
[pid 23057] close(4)                    = 0
[pid 23057] ioctl(1, SNDCTL_TMR_TIMEBASE or TCGETS, 0xffd294e8) = -1 EINVAL (Invalid argument)
[pid 23057] ioctl(1, TIOCGWINSZ, 0xffd2964c) = -1 EINVAL (Invalid argument)
[pid 23057] open("/usr/share/locale/locale.alias", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=2539, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77c0000
[pid 23057] read(4, "# Locale name alias data base.\n# "..., 4096) = 2539
[pid 23057] read(4, ""..., 4096)        = 0
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf77c0000, 4096)    = 0
[pid 23057] open("/usr/share/locale/de_DE.UTF-8/LC_TIME/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23057] open("/usr/share/locale/de_DE.utf8/LC_TIME/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23057] open("/usr/share/locale/de_DE/LC_TIME/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23057] open("/usr/share/locale/de.UTF-8/LC_TIME/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23057] open("/usr/share/locale/de.utf8/LC_TIME/coreutils.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23057] open("/usr/share/locale/de/LC_TIME/coreutils.mo", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=290987, ...}) = 0
[pid 23057] mmap2(NULL, 290987, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf72a0000
[pid 23057] close(4)                    = 0
[pid 23057] open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=25700, ...}) = 0
[pid 23057] mmap2(NULL, 25700, PROT_READ, MAP_SHARED, 4, 0) = 0xf77ba000
[pid 23057] close(4)                    = 0
[pid 23057] futex(0xf7766a6c, FUTEX_WAKE_PRIVATE, 2147483647) = 0
[pid 23057] lstat64("firefox", {st_mode=S_IFLNK|0777, st_size=18, ...}) = 0
[pid 23057] lgetxattr("firefox", "security.selinux", 0x80664a8, 255) = -1 EOPNOTSUPP (Operation not supported)
[pid 23057] readlink("firefox", "../firefox/firefox"..., 19) = 18
[pid 23057] socket(PF_FILE, SOCK_STREAM, 0) = 4
[pid 23057] fcntl64(4, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 23057] connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
[pid 23057] close(4)                    = 0
[pid 23057] socket(PF_FILE, SOCK_STREAM, 0) = 4
[pid 23057] fcntl64(4, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 23057] connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
[pid 23057] close(4)                    = 0
[pid 23057] open("/etc/nsswitch.conf", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0444, st_size=346, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77b9000
[pid 23057] read(4, "# $Header: /var/cfengine/distribu"..., 4096) = 346
[pid 23057] read(4, ""..., 4096)        = 0
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf77b9000, 4096)    = 0
[pid 23057] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23057] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7273000
[pid 23057] close(4)                    = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libnss_compat.so.2", O_RDONLY) = 4
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\16\0\0004\0\0\0\204"..., 512) = 512
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=30436, ...}) = 0
[pid 23057] mmap2(NULL, 33356, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf726a000
[pid 23057] mmap2(0xf7271000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6) = 0xf7271000
[pid 23057] close(4)                    = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libnsl.so.1", O_RDONLY) = 4
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\00001\0\0004\0\0\0\230"..., 512) = 512
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=79608, ...}) = 0
[pid 23057] mmap2(NULL, 92136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77a3000
[pid 23057] mmap2(0xf77b6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x12) = 0xf77b6000
[pid 23057] mmap2(0xf77b8000, 6120, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77b8000
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf7273000, 182512)  = 0
[pid 23057] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23057] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7273000
[pid 23057] close(4)                    = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libnss_nis.so.2", O_RDONLY) = 4
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\31\0\0004\0\0\0\314"..., 512) = 512
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=34348, ...}) = 0
[pid 23057] mmap2(NULL, 37436, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7799000
[pid 23057] mmap2(0xf77a1000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x7) = 0xf77a1000
[pid 23057] close(4)                    = 0
[pid 23057] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23057] open("/lib/libnss_files.so.2", O_RDONLY) = 4
[pid 23057] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\30\0\0004\0\0\0\250"..., 512) = 512
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=38408, ...}) = 0
[pid 23057] mmap2(NULL, 41624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf725f000
[pid 23057] mmap2(0xf7268000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x8) = 0xf7268000
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf7273000, 182512)  = 0
[pid 23057] open("/etc/passwd", O_RDONLY) = 4
[pid 23057] fcntl64(4, F_GETFD)         = 0
[pid 23057] fcntl64(4, F_SETFD, FD_CLOEXEC) = 0
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=2282, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7798000
[pid 23057] _llseek(4, 0, [0], SEEK_CUR) = 0
[pid 23057] read(4, "root:x:0:0:root:/root:/bin/bash\nd"..., 4096) = 2282
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf7798000, 4096)    = 0
[pid 23057] socket(PF_FILE, SOCK_STREAM, 0) = 4
[pid 23057] fcntl64(4, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 23057] connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
[pid 23057] close(4)                    = 0
[pid 23057] socket(PF_FILE, SOCK_STREAM, 0) = 4
[pid 23057] fcntl64(4, F_SETFL, O_RDWR|O_NONBLOCK) = 0
[pid 23057] connect(4, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
[pid 23057] close(4)                    = 0
[pid 23057] open("/etc/group", O_RDONLY) = 4
[pid 23057] fcntl64(4, F_GETFD)         = 0
[pid 23057] fcntl64(4, F_SETFD, FD_CLOEXEC) = 0
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=1180, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7798000
[pid 23057] _llseek(4, 0, [0], SEEK_CUR) = 0
[pid 23057] read(4, "root:*:0:linster,jklein,jungguns,"..., 4096) = 1180
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf7798000, 4096)    = 0
[pid 23057] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7798000
[pid 23057] open("/etc/localtime", O_RDONLY) = 4
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=2309, ...}) = 0
[pid 23057] fstat64(4, {st_mode=S_IFREG|0644, st_size=2309, ...}) = 0
[pid 23057] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7797000
[pid 23057] read(4, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\10\0\0\0\10\0\0\0\0\0"..., 4096) = 2309
[pid 23057] _llseek(4, -28, [2281], SEEK_CUR) = 0
[pid 23057] read(4, "\nCET-1CEST,M3.5.0,M10.5.0/3\n"..., 4096) = 28
[pid 23057] close(4)                    = 0
[pid 23057] munmap(0xf7797000, 4096)    = 0
[pid 23057] clock_gettime(CLOCK_REALTIME, {1280325456, 573616942}) = 0
[pid 23057] stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2309, ...}) = 0
[pid 23057] write(1, "lrwxrwxrwx 1 root root 18 22. Jan"..., 70 <unfinished ...>
[pid 23058] <... read resumed> "lrwxrwxrwx 1 root root 18 22. Jan"..., 4096) = 70
[pid 23057] <... write resumed> )       = 70
[pid 23057] close(1)                    = 0
[pid 23057] munmap(0xf7798000, 4096)    = 0
[pid 23057] close(2 <unfinished ...>
[pid 23058] fstat64(1,  <unfinished ...>
[pid 23057] <... close resumed> )       = 0
[pid 23058] <... fstat64 resumed> {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23057] exit_group(0)               = ?
Process 23056 resumed
Process 23057 detached
[pid 23058] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0 <unfinished ...>
[pid 23056] <... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23057
[pid 23058] <... mmap2 resumed> )       = 0xf77be000
[pid 23056] waitpid(-1, Process 23056 suspended
 <unfinished ...>
[pid 23058] read(0, ""..., 4096)        = 0
[pid 23058] write(1, "../firefox/firefox\n"..., 19) = 19
[pid 23039] <... read resumed> "../firefox/firefox\n"..., 128) = 19
[pid 23058] close(1 <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23058] <... close resumed> )       = 0
[pid 23058] munmap(0xf77be000, 4096)    = 0
[pid 23058] close(2)                    = 0
[pid 23058] exit_group(0)               = ?
Process 23056 resumed
Process 23058 detached
[pid 23056] <... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23058
[pid 23056] rt_sigprocmask(SIG_SETMASK, [CHLD], NULL, 8) = 0
[pid 23056] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {0x807ef30, [], 0}, 8) = 0
[pid 23056] close(4)                    = -1 EBADF (Bad file descriptor)
[pid 23056] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23056] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid 23056] waitpid(-1, 0xffee98d8, WNOHANG) = -1 ECHILD (No child processes)
[pid 23056] sigreturn()                 = ? (mask now [])
[pid 23056] exit_group(0)               = ?
Process 23056 detached
<... read resumed> ""..., 128)          = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], WNOHANG) = 23056
waitpid(-1, 0xffee9b68, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
close(4)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23059 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23059
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23039] close(6 <unfinished ...>
[pid 23059] close(255 <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23059] <... close resumed> )       = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23059] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23059] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23059] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23059] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23059] dup2(6, 1)                  = 1
[pid 23059] close(6)                    = 0
[pid 23059] close(4)                    = 0
[pid 23059] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23059] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23059] brk(0x810c000)              = 0x810c000
[pid 23059] stat64(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid 23059] stat64("/local/awesome/bin/basename", 0xffee9e08) = -1 ENOENT (No such file or directory)
[pid 23059] stat64("/home/cip/2009/re06huxa/bin/basename", 0xffee9e08) = -1 ENOENT (No such file or directory)
[pid 23059] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23059] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23059] read(4, "65536\n"..., 31)   = 6
[pid 23059] close(4)                    = 0
[pid 23059] brk(0x818c000)              = 0x818c000
[pid 23059] getgroups32(65536, [30001]) = 1
[pid 23059] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23059] brk(0x818d000)              = 0x818d000
[pid 23059] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23059] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23059] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23059] execve("/usr/bin/basename", ["basename", "../firefox/firefox"], [/* 57 vars */]) = 0
[pid 23059] brk(0)                      = 0x804f000
[pid 23059] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23059] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf775d000
[pid 23059] readlink("/proc/self/exe", "/usr/bin/basename"..., 4096) = 17
[pid 23059] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23059] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23059] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23059] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf775a000
[pid 23059] mmap2(0xf775b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf775b000
[pid 23059] mmap2(0xf775c000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf775c000
[pid 23059] close(4)                    = 0
[pid 23059] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23059] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23059] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23059] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf772d000
[pid 23059] close(4)                    = 0
[pid 23059] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23059] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23059] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23059] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23059] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75ef000
[pid 23059] mmap2(0xf7727000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7727000
[pid 23059] mmap2(0xf772a000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf772a000
[pid 23059] close(4)                    = 0
[pid 23059] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23059] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23059] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23059] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23059] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75ee000
[pid 23059] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75ea000
[pid 23059] mmap2(0xf75ec000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75ec000
[pid 23059] close(4)                    = 0
[pid 23059] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75e9000
[pid 23059] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75e96b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23059] mprotect(0xf7727000, 4096, PROT_READ) = 0
[pid 23059] munmap(0xf772d000, 182512)  = 0
[pid 23059] brk(0)                      = 0x804f000
[pid 23059] brk(0x8070000)              = 0x8070000
[pid 23059] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23059] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23059] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73e9000
[pid 23059] close(4)                    = 0
[pid 23059] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23059] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23059] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72c8000
[pid 23059] close(4)                    = 0
[pid 23059] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23059] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7759000
[pid 23059] write(1, "firefox\n"..., 8 <unfinished ...>
[pid 23039] <... read resumed> "firefox\n"..., 128) = 8
[pid 23039] read(4,  <unfinished ...>
[pid 23059] <... write resumed> )       = 8
[pid 23059] close(1 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23039] close(4)                    = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23059] <... close resumed> )       = 0
[pid 23059] munmap(0xf7759000, 4096)    = 0
[pid 23059] close(2)                    = 0
[pid 23059] exit_group(0)               = ?
Process 23039 resumed
Process 23059 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23059
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffee9bf8, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat64("../firefox/firefox", {st_mode=S_IFREG|0755, st_size=3939, ...}) = 0
geteuid32()                             = 30881
getegid32()                             = 30001
getuid32()                              = 30881
getgid32()                              = 30001
access("../firefox/firefox", X_OK)      = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23060 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23060
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23060] close(255)                  = 0
[pid 23039] close(6 <unfinished ...>
[pid 23060] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] <... close resumed> )       = 0
[pid 23060] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23060] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23060] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23060] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23060] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23060] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23060] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23060] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23060] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23060] dup2(6, 1)                  = 1
[pid 23060] close(6)                    = 0
[pid 23060] close(4)                    = 0
[pid 23060] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23060] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23060] stat64(".", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid 23060] stat64("/local/awesome/bin/dirname", 0xffeea248) = -1 ENOENT (No such file or directory)
[pid 23060] stat64("/home/cip/2009/re06huxa/bin/dirname", 0xffeea248) = -1 ENOENT (No such file or directory)
[pid 23060] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23060] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23060] read(4, "65536\n"..., 31)   = 6
[pid 23060] close(4)                    = 0
[pid 23060] brk(0x818b000)              = 0x818b000
[pid 23060] getgroups32(65536, [30001]) = 1
[pid 23060] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23060] brk(0x818c000)              = 0x818c000
[pid 23060] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23060] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23060] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23060] execve("/usr/bin/dirname", ["dirname", "../firefox/firefox"], [/* 57 vars */]) = 0
[pid 23060] brk(0)                      = 0x804f000
[pid 23060] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23060] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf775d000
[pid 23060] readlink("/proc/self/exe", "/usr/bin/dirname"..., 4096) = 16
[pid 23060] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23060] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23060] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23060] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf775a000
[pid 23060] mmap2(0xf775b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf775b000
[pid 23060] mmap2(0xf775c000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf775c000
[pid 23060] close(4)                    = 0
[pid 23060] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23060] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23060] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23060] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf772d000
[pid 23060] close(4)                    = 0
[pid 23060] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23060] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23060] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23060] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23060] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75ef000
[pid 23060] mmap2(0xf7727000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7727000
[pid 23060] mmap2(0xf772a000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf772a000
[pid 23060] close(4)                    = 0
[pid 23060] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23060] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23060] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23060] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23060] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75ee000
[pid 23060] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75ea000
[pid 23060] mmap2(0xf75ec000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75ec000
[pid 23060] close(4)                    = 0
[pid 23060] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75e9000
[pid 23060] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75e96b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23060] mprotect(0xf7727000, 4096, PROT_READ) = 0
[pid 23060] munmap(0xf772d000, 182512)  = 0
[pid 23060] brk(0)                      = 0x804f000
[pid 23060] brk(0x8070000)              = 0x8070000
[pid 23060] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23060] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23060] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73e9000
[pid 23060] close(4)                    = 0
[pid 23060] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23060] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23060] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72c8000
[pid 23060] close(4)                    = 0
[pid 23060] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23060] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7759000
[pid 23060] write(1, "../firefox\n"..., 11 <unfinished ...>
[pid 23039] <... read resumed> "../firefox\n"..., 128) = 11
[pid 23039] read(4,  <unfinished ...>
[pid 23060] <... write resumed> )       = 11
[pid 23060] close(1 <unfinished ...>
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23039] close(4)                    = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23060] <... close resumed> )       = 0
[pid 23060] munmap(0xf7759000, 4096)    = 0
[pid 23060] close(2)                    = 0
[pid 23060] exit_group(0)               = ?
Process 23039 resumed
Process 23060 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23060
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffeea038, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
stat64("../firefox/run-mozilla.sh", {st_mode=S_IFREG|0755, st_size=10452, ...}) = 0
geteuid32()                             = 30881
getegid32()                             = 30001
getuid32()                              = 30881
getgid32()                              = 30001
access("../firefox/run-mozilla.sh", X_OK) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
stat64("/local", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
stat64("/local/firefox", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/local/firefox/bin", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/local/firefox/bin", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
stat64("/local/firefox/firefox", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
chdir("/local/firefox/firefox")         = 0
pipe([4, 6])                            = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Process 23061 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23061
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23061] close(255 <unfinished ...>
[pid 23039] rt_sigaction(SIGCHLD, {0x807e320, [], 0},  <unfinished ...>
[pid 23061] <... close resumed> )       = 0
[pid 23039] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23061] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23039] close(6)                    = 0
[pid 23061] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23039] read(4,  <unfinished ...>
[pid 23061] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23061] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23061] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23061] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23061] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23061] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23061] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23061] dup2(6, 1)                  = 1
[pid 23061] close(6)                    = 0
[pid 23061] close(4)                    = 0
[pid 23061] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23061] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23061] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23061] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23061] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23061] execve("/bin/pwd", ["/bin/pwd"], [/* 57 vars */]) = 0
[pid 23061] brk(0)                      = 0x8050000
[pid 23061] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23061] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf778c000
[pid 23061] readlink("/proc/self/exe", "/bin/pwd"..., 4096) = 8
[pid 23061] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23061] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23061] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23061] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7789000
[pid 23061] mmap2(0xf778a000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf778a000
[pid 23061] mmap2(0xf778b000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf778b000
[pid 23061] close(4)                    = 0
[pid 23061] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23061] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23061] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23061] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf775c000
[pid 23061] close(4)                    = 0
[pid 23061] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23061] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23061] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23061] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23061] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf761e000
[pid 23061] mmap2(0xf7756000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7756000
[pid 23061] mmap2(0xf7759000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7759000
[pid 23061] close(4)                    = 0
[pid 23061] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23061] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23061] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23061] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23061] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf761d000
[pid 23061] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7619000
[pid 23061] mmap2(0xf761b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf761b000
[pid 23061] close(4)                    = 0
[pid 23061] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7618000
[pid 23061] set_thread_area({entry_number:-1 -> 12, base_addr:0xf76186b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23061] mprotect(0xf7756000, 4096, PROT_READ) = 0
[pid 23061] munmap(0xf775c000, 182512)  = 0
[pid 23061] brk(0)                      = 0x8050000
[pid 23061] brk(0x8071000)              = 0x8071000
[pid 23061] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23061] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23061] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7418000
[pid 23061] close(4)                    = 0
[pid 23061] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23061] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23061] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72f7000
[pid 23061] close(4)                    = 0
[pid 23061] getcwd("/local/firefox/firefox"..., 4096) = 23
[pid 23061] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23061] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7788000
[pid 23061] write(1, "/local/firefox/firefox\n"..., 23) = 23
[pid 23039] <... read resumed> "/local/firefox/firefox\n"..., 128) = 23
[pid 23061] close(1 <unfinished ...>
[pid 23039] read(4,  <unfinished ...>
[pid 23061] <... close resumed> )       = 0
[pid 23039] <... read resumed> ""..., 128) = 0
[pid 23061] munmap(0xf7788000, 4096 <unfinished ...>
[pid 23039] close(4 <unfinished ...>
[pid 23061] <... munmap resumed> )      = 0
[pid 23039] <... close resumed> )       = 0
[pid 23061] close(2 <unfinished ...>
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23061] <... close resumed> )       = 0
[pid 23061] exit_group(0)               = ?
Process 23039 resumed
Process 23061 detached
<... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23061
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xffee9b58, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
stat64("/home", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
stat64("/home/cip", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
stat64("/home/cip/2009", {st_mode=S_IFDIR|0755, st_size=3584, ...}) = 0
stat64("/home/cip/2009/re06huxa", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
chdir("/home/cip/2009/re06huxa")        = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "if [ $found = 0 ]; then\n  # Check"..., 3939) = 1115
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
brk(0x810c000)                          = 0x810c000
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [INT CHLD], 8) = 0
rt_sigprocmask(SIG_SETMASK, [INT CHLD], NULL, 8) = 0
_llseek(255, -35, [3904], SEEK_CUR)     = 0
clone(Process 23062 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76086f8) = 23062
[pid 23039] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] close(255)                  = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23062] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23039] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23062] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23039] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23062] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23039] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23062] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23039] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23062] rt_sigaction(SIGTTOU, {SIG_DFL},  <unfinished ...>
[pid 23039] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23062] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23039] rt_sigaction(SIGINT, {0x807ef30, [], 0},  <unfinished ...>
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23039] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23039] waitpid(-1, Process 23039 suspended
 <unfinished ...>
[pid 23062] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23062] execve("/local/firefox/firefox/run-mozilla.sh", ["/local/firefox/firefox/run-mozil"..., "/local/firefox/firefox/firefox-b"...], [/* 57 vars */]) = 0
[pid 23062] brk(0)                      = 0x80f8000
[pid 23062] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23062] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77bb000
[pid 23062] readlink("/proc/self/exe", "/bin/bash"..., 4096) = 9
[pid 23062] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23062] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23062] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23062] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77b8000
[pid 23062] mmap2(0xf77b9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77b9000
[pid 23062] mmap2(0xf77ba000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77ba000
[pid 23062] close(4)                    = 0
[pid 23062] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23062] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23062] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf778b000
[pid 23062] close(4)                    = 0
[pid 23062] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23062] open("/lib/libncurses.so.5", O_RDONLY) = 4
[pid 23062] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\243\0\0004\0\0\0\344"..., 512) = 512
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=202188, ...}) = 0
[pid 23062] mmap2(NULL, 202004, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7759000
[pid 23062] mmap2(0xf7788000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2f) = 0xf7788000
[pid 23062] close(4)                    = 0
[pid 23062] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23062] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23062] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23062] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7758000
[pid 23062] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7754000
[pid 23062] mmap2(0xf7756000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf7756000
[pid 23062] close(4)                    = 0
[pid 23062] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23062] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23062] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23062] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23062] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7616000
[pid 23062] mmap2(0xf774e000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf774e000
[pid 23062] mmap2(0xf7751000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7751000
[pid 23062] close(4)                    = 0
[pid 23062] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7615000
[pid 23062] set_thread_area({entry_number:-1 -> 12, base_addr:0xf76156b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23062] mprotect(0xf774e000, 4096, PROT_READ) = 0
[pid 23062] munmap(0xf778b000, 182512)  = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 4
[pid 23062] close(4)                    = 0
[pid 23062] brk(0)                      = 0x80f8000
[pid 23062] brk(0x80f9000)              = 0x80f9000
[pid 23062] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23062] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7415000
[pid 23062] close(4)                    = 0
[pid 23062] brk(0x80fa000)              = 0x80fa000
[pid 23062] brk(0x80fb000)              = 0x80fb000
[pid 23062] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23062] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf72f4000
[pid 23062] close(4)                    = 0
[pid 23062] getuid32()                  = 30881
[pid 23062] getgid32()                  = 30001
[pid 23062] geteuid32()                 = 30881
[pid 23062] getegid32()                 = 30001
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] time(NULL)                  = 1280325456
[pid 23062] brk(0x80fc000)              = 0x80fc000
[pid 23062] open("/proc/meminfo", O_RDONLY) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
[pid 23062] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77b7000
[pid 23062] read(4, "MemTotal:        8128420 kB\nMemFr"..., 1024) = 986
[pid 23062] close(4)                    = 0
[pid 23062] munmap(0xf77b7000, 4096)    = 0
[pid 23062] brk(0x80fd000)              = 0x80fd000
[pid 23062] rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
[pid 23062] uname({sys="Linux", node="faui01", ...}) = 0
[pid 23062] brk(0x80fe000)              = 0x80fe000
[pid 23062] brk(0x80ff000)              = 0x80ff000
[pid 23062] brk(0x8100000)              = 0x8100000
[pid 23062] stat64("/home/cip/2009/re06huxa", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23062] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23062] getpid()                    = 23062
[pid 23062] open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=25700, ...}) = 0
[pid 23062] mmap2(NULL, 25700, PROT_READ, MAP_SHARED, 4, 0) = 0xf77b1000
[pid 23062] close(4)                    = 0
[pid 23062] brk(0x8101000)              = 0x8101000
[pid 23062] getppid()                   = 23039
[pid 23062] getpgrp()                   = 23038
[pid 23062] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23062] getrlimit(RLIMIT_NPROC, {rlim_cur=400, rlim_max=400}) = 0
[pid 23062] brk(0x8102000)              = 0x8102000
[pid 23062] open("/usr/share/locale/locale.alias", O_RDONLY) = 4
[pid 23062] fstat64(4, {st_mode=S_IFREG|0644, st_size=2539, ...}) = 0
[pid 23062] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77b0000
[pid 23062] read(4, "# Locale name alias data base.\n# "..., 4096) = 2539
[pid 23062] brk(0x8103000)              = 0x8103000
[pid 23062] brk(0x8104000)              = 0x8104000
[pid 23062] brk(0x8105000)              = 0x8105000
[pid 23062] read(4, ""..., 4096)        = 0
[pid 23062] close(4)                    = 0
[pid 23062] munmap(0xf77b0000, 4096)    = 0
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_COLLATE", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_COLLATE", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC/LC_COLLATE", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_MESSAGES", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_MESSAGES", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC/LC_MESSAGES", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] brk(0x8106000)              = 0x8106000
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_NUMERIC", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_NUMERIC", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC/LC_NUMERIC", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] brk(0x8107000)              = 0x8107000
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_TIME", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC_CTYPE=en_US/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC.utf8;LC_NUMERIC=de_DE.UTF-8;LC_TIME=de_DE.UTF-8;LC_COLLATE=de_DE.UTF-8;LC_MONETARY=de_DE.UTF-8;LC_MESSAGES=de_DE.UTF-8;LC_PAPER=de_DE.UTF-8;LC_NAME=de_DE.UTF-8;LC_ADDRESS=de_DE.UTF-8;LC_TELEPHONE=de_DE.UTF-8;LC_MEASUREMENT=de_DE.UTF-8;LC_IDENTIFICATION=de_DE.UTF-8/LC_TIME", O_RDONLY) = -1 ENAMETOOLONG (File name too long)
[pid 23062] open("/usr/lib/locale/LC.utf8lcnumericdedeutf8lctimededeutf8lccollatededeutf8lcmonetarydedeutf8lcmessagesdedeutf8lcpaperdedeutf8lcnamededeutf8lcaddressdedeutf8lctelephonededeutf8lcmeasurementdedeutf8lcidentificationdedeutf8/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] open("/usr/lib/locale/LC/LC_TIME", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] open("/local/firefox/firefox/run-mozilla.sh", O_RDONLY|O_LARGEFILE) = 4
[pid 23062] ioctl(4, SNDCTL_TMR_TIMEBASE or TCGETS, 0xff83d088) = -1 ENOTTY (Inappropriate ioctl for device)
[pid 23062] _llseek(4, 0, [0], SEEK_CUR) = 0
[pid 23062] read(4, "#!/bin/sh\n#\n# ***** BEGIN LICENSE"..., 80) = 80
[pid 23062] _llseek(4, 0, [0], SEEK_SET) = 0
[pid 23062] getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=2*1024}) = 0
[pid 23062] dup2(4, 255)                = 255
[pid 23062] close(4)                    = 0
[pid 23062] fcntl64(255, F_SETFD, FD_CLOEXEC) = 0
[pid 23062] fcntl64(255, F_GETFL)       = 0x8000 (flags O_RDONLY|O_LARGEFILE)
[pid 23062] fstat64(255, {st_mode=S_IFREG|0755, st_size=10452, ...}) = 0
[pid 23062] _llseek(255, 0, [0], SEEK_CUR) = 0
[pid 23062] brk(0x8109000)              = 0x8109000
[pid 23062] brk(0x810a000)              = 0x810a000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] read(255, "#!/bin/sh\n#\n# ***** BEGIN LICENSE"..., 8176) = 8176
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] pipe([4, 6])                = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid 23062] _llseek(255, -6476, [1700], SEEK_CUR) = 0
[pid 23062] clone(Process 23063 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76156f8) = 23063
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigaction(SIGCHLD, {0x807e320, [], 0},  <unfinished ...>
[pid 23063] close(255)                  = 0
[pid 23062] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23063] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] close(6)                    = 0
[pid 23063] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] read(4,  <unfinished ...>
[pid 23063] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23063] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23063] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23063] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23063] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23063] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23063] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23063] dup2(6, 1)                  = 1
[pid 23063] close(6)                    = 0
[pid 23063] close(4)                    = 0
[pid 23063] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23063] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23063] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23063] stat64("/local/awesome/bin/basename", 0xff83cab8) = -1 ENOENT (No such file or directory)
[pid 23063] stat64("/home/cip/2009/re06huxa/bin/basename", 0xff83cab8) = -1 ENOENT (No such file or directory)
[pid 23063] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23063] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23063] read(4, "65536\n"..., 31)   = 6
[pid 23063] close(4)                    = 0
[pid 23063] brk(0x818a000)              = 0x818a000
[pid 23063] getgroups32(65536, [30001]) = 1
[pid 23063] stat64("/usr/bin/basename", {st_mode=S_IFREG|0755, st_size=22884, ...}) = 0
[pid 23063] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23063] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23063] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23063] execve("/usr/bin/basename", ["basename", "/local/firefox/firefox/run-mozil"...], [/* 56 vars */]) = 0
[pid 23063] brk(0)                      = 0x804f000
[pid 23063] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23063] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7731000
[pid 23063] readlink("/proc/self/exe", "/usr/bin/basename"..., 4096) = 17
[pid 23063] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23063] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23063] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23063] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf772e000
[pid 23063] mmap2(0xf772f000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf772f000
[pid 23063] mmap2(0xf7730000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7730000
[pid 23063] close(4)                    = 0
[pid 23063] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23063] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23063] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23063] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7701000
[pid 23063] close(4)                    = 0
[pid 23063] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23063] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23063] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23063] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23063] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75c3000
[pid 23063] mmap2(0xf76fb000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf76fb000
[pid 23063] mmap2(0xf76fe000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf76fe000
[pid 23063] close(4)                    = 0
[pid 23063] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23063] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23063] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23063] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23063] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75c2000
[pid 23063] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf75be000
[pid 23063] mmap2(0xf75c0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf75c0000
[pid 23063] close(4)                    = 0
[pid 23063] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf75bd000
[pid 23063] set_thread_area({entry_number:-1 -> 12, base_addr:0xf75bd6b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23063] mprotect(0xf76fb000, 4096, PROT_READ) = 0
[pid 23063] munmap(0xf7701000, 182512)  = 0
[pid 23063] brk(0)                      = 0x804f000
[pid 23063] brk(0x8070000)              = 0x8070000
[pid 23063] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23063] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23063] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf73bd000
[pid 23063] close(4)                    = 0
[pid 23063] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23063] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23063] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf729c000
[pid 23063] close(4)                    = 0
[pid 23063] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23063] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf772d000
[pid 23063] write(1, "run-mozilla.sh\n"..., 15) = 15
[pid 23062] <... read resumed> "run-mozilla.sh\n"..., 128) = 15
[pid 23062] read(4,  <unfinished ...>
[pid 23063] close(1)                    = 0
[pid 23062] <... read resumed> ""..., 128) = 0
[pid 23063] munmap(0xf772d000, 4096 <unfinished ...>
[pid 23062] close(4 <unfinished ...>
[pid 23063] <... munmap resumed> )      = 0
[pid 23062] <... close resumed> )       = 0
[pid 23063] close(2 <unfinished ...>
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23063] <... close resumed> )       = 0
[pid 23062] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23063] exit_group(0)               = ?
Process 23063 detached
[pid 23062] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23062] waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23063
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid 23062] waitpid(-1, 0xff83c8a8, WNOHANG) = -1 ECHILD (No child processes)
[pid 23062] sigreturn()                 = ? (mask now [])
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] read(255, "MOZ_DIST_BIN=`dirname \"$0\"`\nMOZ_D"..., 8176) = 8176
[pid 23062] brk(0x810b000)              = 0x810b000
[pid 23062] pipe([4, 6])                = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid 23062] _llseek(255, -8148, [1728], SEEK_CUR) = 0
[pid 23062] clone(Process 23064 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76156f8) = 23064
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {0x807e320, [], 0}, 8) = 0
[pid 23062] close(6)                    = 0
[pid 23062] read(4,  <unfinished ...>
[pid 23064] close(255)                  = 0
[pid 23064] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23064] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23064] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23064] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23064] dup2(6, 1)                  = 1
[pid 23064] close(6)                    = 0
[pid 23064] close(4)                    = 0
[pid 23064] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23064] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23064] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23064] stat64("/local/awesome/bin/dirname", 0xff83cab8) = -1 ENOENT (No such file or directory)
[pid 23064] stat64("/home/cip/2009/re06huxa/bin/dirname", 0xff83cab8) = -1 ENOENT (No such file or directory)
[pid 23064] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23064] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23064] read(4, "65536\n"..., 31)   = 6
[pid 23064] close(4)                    = 0
[pid 23064] brk(0x818b000)              = 0x818b000
[pid 23064] getgroups32(65536, [30001]) = 1
[pid 23064] stat64("/usr/bin/dirname", {st_mode=S_IFREG|0755, st_size=23112, ...}) = 0
[pid 23064] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23064] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23064] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23064] execve("/usr/bin/dirname", ["dirname", "/local/firefox/firefox/run-mozil"...], [/* 56 vars */]) = 0
[pid 23064] brk(0)                      = 0x804f000
[pid 23064] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23064] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77aa000
[pid 23064] readlink("/proc/self/exe", "/usr/bin/dirname"..., 4096) = 16
[pid 23064] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23064] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23064] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23064] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf77a7000
[pid 23064] mmap2(0xf77a8000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf77a8000
[pid 23064] mmap2(0xf77a9000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf77a9000
[pid 23064] close(4)                    = 0
[pid 23064] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23064] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23064] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23064] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf777a000
[pid 23064] close(4)                    = 0
[pid 23064] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23064] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23064] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23064] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23064] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf763c000
[pid 23064] mmap2(0xf7774000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7774000
[pid 23064] mmap2(0xf7777000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7777000
[pid 23064] close(4)                    = 0
[pid 23064] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23064] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23064] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23064] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23064] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf763b000
[pid 23064] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7637000
[pid 23064] mmap2(0xf7639000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf7639000
[pid 23064] close(4)                    = 0
[pid 23064] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7636000
[pid 23064] set_thread_area({entry_number:-1 -> 12, base_addr:0xf76366b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23064] mprotect(0xf7774000, 4096, PROT_READ) = 0
[pid 23064] munmap(0xf777a000, 182512)  = 0
[pid 23064] brk(0)                      = 0x804f000
[pid 23064] brk(0x8070000)              = 0x8070000
[pid 23064] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23064] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23064] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7436000
[pid 23064] close(4)                    = 0
[pid 23064] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23064] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23064] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf7315000
[pid 23064] close(4)                    = 0
[pid 23064] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23064] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf77a6000
[pid 23064] write(1, "/local/firefox/firefox\n"..., 23) = 23
[pid 23062] <... read resumed> "/local/firefox/firefox\n"..., 128) = 23
[pid 23062] read(4,  <unfinished ...>
[pid 23064] close(1)                    = 0
[pid 23062] <... read resumed> ""..., 128) = 0
[pid 23064] munmap(0xf77a6000, 4096 <unfinished ...>
[pid 23062] close(4 <unfinished ...>
[pid 23064] <... munmap resumed> )      = 0
[pid 23062] <... close resumed> )       = 0
[pid 23064] close(2 <unfinished ...>
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23062] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23062] waitpid(-1, Process 23062 suspended
 <unfinished ...>
[pid 23064] <... close resumed> )       = 0
[pid 23064] exit_group(0)               = ?
Process 23062 resumed
Process 23064 detached
[pid 23062] <... waitpid resumed> [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23064
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid 23062] waitpid(-1, 0xff83c8a8, WNOHANG) = -1 ECHILD (No child processes)
[pid 23062] sigreturn()                 = ? (mask now [])
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] read(255, "MOZ_DEFAULT_NAME=\"./${cmdname}-bi"..., 8176) = 8176
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] brk(0x810c000)              = 0x810c000
[pid 23062] brk(0x810d000)              = 0x810d000
[pid 23062] brk(0x810e000)              = 0x810e000
[pid 23062] brk(0x810f000)              = 0x810f000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] brk(0x8110000)              = 0x8110000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] brk(0x8111000)              = 0x8111000
[pid 23062] brk(0x8112000)              = 0x8112000
[pid 23062] brk(0x8113000)              = 0x8113000
[pid 23062] brk(0x8114000)              = 0x8114000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] brk(0x8115000)              = 0x8115000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] stat64("/local/firefox/firefox/firefox-bin", {st_mode=S_IFREG|0755, st_size=44712, ...}) = 0
[pid 23062] geteuid32()                 = 30881
[pid 23062] getegid32()                 = 30001
[pid 23062] getuid32()                  = 30881
[pid 23062] getgid32()                  = 30001
[pid 23062] access("/local/firefox/firefox/firefox-bin", X_OK) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] pipe([4, 6])                = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid 23062] _llseek(255, -2036, [7868], SEEK_CUR) = 0
[pid 23062] clone(Process 23065 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76156f8) = 23065
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigaction(SIGCHLD, {0x807e320, [], 0},  <unfinished ...>
[pid 23065] close(255)                  = 0
[pid 23062] <... rt_sigaction resumed> {0x807e320, [], 0}, 8) = 0
[pid 23065] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] close(6)                    = 0
[pid 23065] rt_sigaction(SIGTSTP, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] read(4,  <unfinished ...>
[pid 23065] rt_sigaction(SIGTTIN, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23065] rt_sigaction(SIGTTOU, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23065] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23065] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_IGN}, 8) = 0
[pid 23065] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23065] rt_sigaction(SIGCHLD, {0x807e320, [], 0}, {SIG_DFL}, 8) = 0
[pid 23065] rt_sigaction(SIGINT, {0x8091d90, [], 0}, {SIG_DFL}, 8) = 0
[pid 23065] dup2(6, 1)                  = 1
[pid 23065] close(6)                    = 0
[pid 23065] close(4)                    = 0
[pid 23065] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23065] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23065] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23065] stat64(".", {st_mode=S_IFDIR|0711, st_size=4096, ...}) = 0
[pid 23065] stat64("/local/awesome/bin/uname", 0xff83c278) = -1 ENOENT (No such file or directory)
[pid 23065] stat64("/home/cip/2009/re06huxa/bin/uname", 0xff83c278) = -1 ENOENT (No such file or directory)
[pid 23065] stat64("/usr/bin/uname", 0xff83c278) = -1 ENOENT (No such file or directory)
[pid 23065] stat64("/usr/sbin/uname", 0xff83c278) = -1 ENOENT (No such file or directory)
[pid 23065] stat64("/bin/uname", {st_mode=S_IFREG|0755, st_size=23992, ...}) = 0
[pid 23065] open("/proc/sys/kernel/ngroups_max", O_RDONLY) = 4
[pid 23065] read(4, "65536\n"..., 31)   = 6
[pid 23065] close(4)                    = 0
[pid 23065] brk(0x8195000)              = 0x8195000
[pid 23065] getgroups32(65536, [30001]) = 1
[pid 23065] stat64("/bin/uname", {st_mode=S_IFREG|0755, st_size=23992, ...}) = 0
[pid 23065] rt_sigaction(SIGINT, {SIG_DFL}, {0x8091d90, [], 0}, 8) = 0
[pid 23065] rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23065] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23065] execve("/bin/uname", ["uname", "-s"], [/* 56 vars */]) = 0
[pid 23065] brk(0)                      = 0x804f000
[pid 23065] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23065] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7799000
[pid 23065] readlink("/proc/self/exe", "/bin/uname"..., 4096) = 10
[pid 23065] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23065] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23065] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23065] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7796000
[pid 23065] mmap2(0xf7797000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf7797000
[pid 23065] mmap2(0xf7798000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7798000
[pid 23065] close(4)                    = 0
[pid 23065] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23065] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23065] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23065] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7769000
[pid 23065] close(4)                    = 0
[pid 23065] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23065] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23065] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23065] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23065] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf762b000
[pid 23065] mmap2(0xf7763000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf7763000
[pid 23065] mmap2(0xf7766000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf7766000
[pid 23065] close(4)                    = 0
[pid 23065] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23065] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23065] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23065] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23065] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf762a000
[pid 23065] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf7626000
[pid 23065] mmap2(0xf7628000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf7628000
[pid 23065] close(4)                    = 0
[pid 23065] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7625000
[pid 23065] set_thread_area({entry_number:-1 -> 12, base_addr:0xf76256b0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23065] mprotect(0xf7763000, 4096, PROT_READ) = 0
[pid 23065] munmap(0xf7769000, 182512)  = 0
[pid 23065] brk(0)                      = 0x804f000
[pid 23065] brk(0x8070000)              = 0x8070000
[pid 23065] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23065] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23065] mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf7425000
[pid 23065] close(4)                    = 0
[pid 23065] open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 4
[pid 23065] fstat64(4, {st_mode=S_IFREG|0644, st_size=3427872, ...}) = 0
[pid 23065] mmap2(NULL, 1183744, PROT_READ, MAP_PRIVATE, 4, 0x222) = 0xf7304000
[pid 23065] close(4)                    = 0
[pid 23065] uname({sys="Linux", node="faui01", ...}) = 0
[pid 23065] fstat64(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
[pid 23065] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf7795000
[pid 23065] write(1, "Linux\n"..., 6)   = 6
[pid 23062] <... read resumed> "Linux\n"..., 128) = 6
[pid 23065] close(1 <unfinished ...>
[pid 23062] read(4,  <unfinished ...>
[pid 23065] <... close resumed> )       = 0
[pid 23062] <... read resumed> ""..., 128) = 0
[pid 23065] munmap(0xf7795000, 4096 <unfinished ...>
[pid 23062] close(4 <unfinished ...>
[pid 23065] <... munmap resumed> )      = 0
[pid 23065] close(2 <unfinished ...>
[pid 23062] <... close resumed> )       = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23065] <... close resumed> )       = 0
[pid 23062] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23065] exit_group(0)               = ?
Process 23065 detached
[pid 23062] rt_sigaction(SIGINT, {0x807ef30, [], 0}, {SIG_DFL}, 8) = 0
[pid 23062] waitpid(-1, [{WIFEXITED(s) && WEXITSTATUS(s) == 0}], 0) = 23065
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] --- SIGCHLD (Child exited) @ 0 (0) ---
[pid 23062] waitpid(-1, 0xff83c068, WNOHANG) = -1 ECHILD (No child processes)
[pid 23062] sigreturn()                 = ? (mask now [])
[pid 23062] rt_sigaction(SIGINT, {SIG_DFL}, {0x807ef30, [], 0}, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] read(255, "\nif [ -n \"$LD_LIBRARYN32_PATH\" ]\n"..., 8176) = 2584
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] brk(0x8116000)              = 0x8116000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] brk(0x8117000)              = 0x8117000
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, NULL, [], 8) = 0
[pid 23062] stat64("/local/firefox/firefox/firefox-bin", {st_mode=S_IFREG|0755, st_size=44712, ...}) = 0
[pid 23062] geteuid32()                 = 30881
[pid 23062] getegid32()                 = 30001
[pid 23062] getuid32()                  = 30881
[pid 23062] getgid32()                  = 30001
[pid 23062] access("/local/firefox/firefox/firefox-bin", X_OK) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD], [INT CHLD], 8) = 0
[pid 23062] rt_sigprocmask(SIG_SETMASK, [INT CHLD], NULL, 8) = 0
[pid 23062] _llseek(255, -16, [10436], SEEK_CUR) = 0
[pid 23062] clone(Process 23066 attached
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0xf76156f8) = 23066
[pid 23062] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
[pid 23066] close(255)                  = 0
[pid 23066] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23066] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23062] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23066] rt_sigaction(SIGTSTP, {SIG_DFL},  <unfinished ...>
[pid 23062] rt_sigprocmask(SIG_SETMASK, [],  <unfinished ...>
[pid 23066] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23062] <... rt_sigprocmask resumed> NULL, 8) = 0
[pid 23066] rt_sigaction(SIGTTIN, {SIG_DFL},  <unfinished ...>
[pid 23062] rt_sigprocmask(SIG_BLOCK, [CHLD],  <unfinished ...>
[pid 23066] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23066] rt_sigaction(SIGTTOU, {SIG_DFL},  <unfinished ...>
[pid 23062] <... rt_sigprocmask resumed> [], 8) = 0
[pid 23066] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23062] rt_sigaction(SIGINT, {0x807ef30, [], 0},  <unfinished ...>
[pid 23066] rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid 23062] <... rt_sigaction resumed> {SIG_DFL}, 8) = 0
[pid 23066] rt_sigaction(SIGQUIT, {SIG_DFL},  <unfinished ...>
[pid 23062] waitpid(-1, Process 23062 suspended
 <unfinished ...>
[pid 23066] <... rt_sigaction resumed> {SIG_IGN}, 8) = 0
[pid 23066] rt_sigaction(SIGCHLD, {SIG_DFL}, {0x807e320, [], 0}, 8) = 0
[pid 23066] execve("/local/firefox/firefox/firefox-bin", ["/local/firefox/firefox/firefox-b"...], [/* 66 vars */]) = 0
[pid 23066] brk(0)                      = 0x8055000
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf76eb000
[pid 23066] readlink("/proc/self/exe", "/local/firefox/firefox/firefox-bin"..., 4096) = 34
[pid 23066] open("/etc/opt/SUNWut/lib/i686/libc_ut.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0L\7\0\0004\0\0\0|"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=11640, ...}) = 0
[pid 23066] mmap2(NULL, 12192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf76e8000
[pid 23066] mmap2(0xf76e9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf76e9000
[pid 23066] mmap2(0xf76ea000, 4000, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf76ea000
[pid 23066] close(4)                    = 0
[pid 23066] access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/i686/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/i686/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/i686/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/i686/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/i686/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/i686/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/i686/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/i686", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/tls/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/tls", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/i686/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/i686/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/i686/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/i686/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/i686/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/i686/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/i686/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/i686", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid 23066] open("/local/firefox/firefox/plugins/tls/i686/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/i686/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/i686/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/i686/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/i686/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/i686/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/i686/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/i686", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/tls/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/tls", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/i686/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/i686/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/i686/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/i686/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/i686/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/i686/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/i686/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/i686", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/sse2/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/sse2/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/sse2/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/sse2", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/cmov/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins/cmov", 0xff8cec5c) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpthread.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] stat64("/local/firefox/firefox/plugins", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid 23066] open("/etc/ld.so.cache", O_RDONLY) = 4
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=182512, ...}) = 0
[pid 23066] mmap2(NULL, 182512, PROT_READ, MAP_PRIVATE, 4, 0) = 0xf76bb000
[pid 23066] close(4)                    = 0
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libpthread.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220G\0\0004\0\0\0\330"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=112012, ...}) = 0
[pid 23066] mmap2(NULL, 94688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf76a3000
[pid 23066] mmap2(0xf76b7000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x13) = 0xf76b7000
[pid 23066] mmap2(0xf76b9000, 4576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf76b9000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxul.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\230\36\0004\0\0\0\210"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=15907048, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf76a2000
[pid 23066] mmap2(NULL, 15895892, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6779000
[pid 23066] mmap2(0xf7590000, 1028096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xe17) = 0xf7590000
[pid 23066] mmap2(0xf768b000, 93524, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf768b000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libmozjs.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\363\0\0004\0\0\0\360"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=1053440, ...}) = 0
[pid 23066] mmap2(NULL, 1056644, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6677000
[pid 23066] mmap2(0xf6771000, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xf9) = 0xf6771000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxpcom.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\35\0\0004\0\0\0\344"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=12236, ...}) = 0
[pid 23066] mmap2(NULL, 14888, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6673000
[pid 23066] mmap2(0xf6676000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2) = 0xf6676000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libplds4.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\n\0\0004\0\0\0\220"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=8824, ...}) = 0
[pid 23066] mmap2(NULL, 11420, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6670000
[pid 23066] mmap2(0xf6672000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf6672000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libplc4.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\16\0\0004\0\0\0\270"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=13256, ...}) = 0
[pid 23066] mmap2(NULL, 15268, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf666c000
[pid 23066] mmap2(0xf666f000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2) = 0xf666f000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libnspr4.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\213\0\0004\0\0\0004"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=200812, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf666b000
[pid 23066] mmap2(NULL, 204256, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6639000
[pid 23066] mmap2(0xf6668000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2f) = 0xf6668000
[pid 23066] mmap2(0xf6669000, 7648, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf6669000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libdl.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libdl.so.2", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\n\0\0004\0\0\0H"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=9680, ...}) = 0
[pid 23066] mmap2(NULL, 12412, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6635000
[pid 23066] mmap2(0xf6637000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf6637000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgtk-x11-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgtk-x11-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgtk-x11-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\n\5\0004\0\0\0\340"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=3722224, ...}) = 0
[pid 23066] mmap2(NULL, 3726280, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf62a7000
[pid 23066] mmap2(0xf662e000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x387) = 0xf662e000
[pid 23066] mmap2(0xf6634000, 3016, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf6634000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libatk-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libatk-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libatk-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200y\0\0004\0\0\0\320"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=105696, ...}) = 0
[pid 23066] mmap2(NULL, 109172, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf628c000
[pid 23066] mmap2(0xf62a5000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x18) = 0xf62a5000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgdk-x11-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgdk-x11-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgdk-x11-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200C\1\0004\0\0\0\330"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=548584, ...}) = 0
[pid 23066] mmap2(NULL, 552016, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6205000
[pid 23066] mmap2(0xf6289000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x83) = 0xf6289000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgdk_pixbuf-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgdk_pixbuf-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgdk_pixbuf-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p9\0\0004\0\0\0\270"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=96712, ...}) = 0
[pid 23066] mmap2(NULL, 95612, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf61ed000
[pid 23066] mmap2(0xf6204000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x17) = 0xf6204000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpangocairo-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpangocairo-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpangocairo-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p6\0\0004\0\0\0,"..., 512) = 512
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf61ec000
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=35604, ...}) = 0
[pid 23066] mmap2(NULL, 38560, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf61e2000
[pid 23066] mmap2(0xf61eb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x8) = 0xf61eb000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpango-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpango-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpango-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\270\0\0004\0\0\0\344"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=257052, ...}) = 0
[pid 23066] mmap2(NULL, 260144, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf61a2000
[pid 23066] mmap2(0xf61e0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3d) = 0xf61e0000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libcairo.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libcairo.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libcairo.so.2", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360\212\0\0004\0\0\0l"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=440996, ...}) = 0
[pid 23066] mmap2(NULL, 440788, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6136000
[pid 23066] mmap2(0xf61a0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6a) = 0xf61a0000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgobject-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgobject-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgobject-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0Pz\0\0004\0\0\0 "..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=245296, ...}) = 0
[pid 23066] mmap2(NULL, 245516, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf60fa000
[pid 23066] mmap2(0xf6135000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3b) = 0xf6135000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgmodule-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgmodule-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgmodule-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\16\0\0004\0\0\0\200"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=10128, ...}) = 0
[pid 23066] mmap2(NULL, 13080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf60f6000
[pid 23066] mmap2(0xf60f9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2) = 0xf60f9000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libglib-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libglib-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libglib-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\25\1\0004\0\0\0\264"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=740332, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf60f5000
[pid 23066] mmap2(NULL, 740068, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf6040000
[pid 23066] mmap2(0xf60f4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xb4) = 0xf60f4000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libX11.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libX11.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libX11.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0e\1\0004\0\0\0\234"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=974508, ...}) = 0
[pid 23066] mmap2(NULL, 978580, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5f51000
[pid 23066] mmap2(0xf603c000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xea) = 0xf603c000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libasound.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libasound.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libasound.so.2", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\3\2\0004\0\0\0\270"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=790768, ...}) = 0
[pid 23066] mmap2(NULL, 793768, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5e8f000
[pid 23066] mmap2(0xf5f4c000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xbc) = 0xf5f4c000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libm.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libm.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@4\0\0004\0\0\0P"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=149328, ...}) = 0
[pid 23066] mmap2(NULL, 151680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5e69000
[pid 23066] mmap2(0xf5e8d000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x23) = 0xf5e8d000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libstdc++.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libstdc++.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libstdc++.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220q\4\0004\0\0\0\364"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=958628, ...}) = 0
[pid 23066] mmap2(NULL, 983948, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5d78000
[pid 23066] mmap2(0xf5e5d000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xe5) = 0xf5e5d000
[pid 23066] mmap2(0xf5e62000, 25484, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5e62000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgcc_s.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgcc_s.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libgcc_s.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P#\0\0004\0\0\0\350"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=116552, ...}) = 0
[pid 23066] mmap2(NULL, 115528, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5d5b000
[pid 23066] mmap2(0xf5d77000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1c) = 0xf5d77000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libc.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260e\1\0004\0\0\0t"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=1294572, ...}) = 0
[pid 23066] mmap2(NULL, 1300080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5c1d000
[pid 23066] mmap2(0xf5d55000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x138) = 0xf5d55000
[pid 23066] mmap2(0xf5d58000, 9840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5d58000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libsqlite3.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 L\0\0004\0\0\0\270"..., 512) = 512
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5c1c000
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=466416, ...}) = 0
[pid 23066] mmap2(NULL, 465836, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5baa000
[pid 23066] mmap2(0xf5c1a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x70) = 0xf5c1a000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libsmime3.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220o\0\0004\0\0\0\344"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=125724, ...}) = 0
[pid 23066] mmap2(NULL, 122668, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5b8c000
[pid 23066] mmap2(0xf5ba8000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1c) = 0xf5ba8000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libssl3.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@Z\0\0004\0\0\0<"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=168564, ...}) = 0
[pid 23066] mmap2(NULL, 167504, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5b63000
[pid 23066] mmap2(0xf5b8a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x27) = 0xf5b8a000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libnss3.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\30\1\0004\0\0\0\244"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=870148, ...}) = 0
[pid 23066] mmap2(NULL, 864856, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5a8f000
[pid 23066] mmap2(0xf5b5e000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xcf) = 0xf5b5e000
[pid 23066] mmap2(0xf5b62000, 600, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5b62000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libnssutil3.so", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000L\0\0004\0\0\0\200"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0755, st_size=81848, ...}) = 0
[pid 23066] mmap2(NULL, 80628, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5a7b000
[pid 23066] mmap2(0xf5a8c000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x11) = 0xf5a8c000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXrender.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXrender.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXrender.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\24\0\0004\0\0\0h"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=31056, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5a7a000
[pid 23066] mmap2(NULL, 33964, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5a71000
[pid 23066] mmap2(0xf5a79000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x7) = 0xf5a79000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libfreetype.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libfreetype.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libfreetype.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240{\0\0004\0\0\0\360"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=474584, ...}) = 0
[pid 23066] mmap2(NULL, 477500, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf59fc000
[pid 23066] mmap2(0xf5a6d000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x70) = 0xf5a6d000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libfontconfig.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libfontconfig.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libfontconfig.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0PD\0\0004\0\0\0@"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=176720, ...}) = 0
[pid 23066] mmap2(NULL, 176100, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf59d1000
[pid 23066] mmap2(0xf59fb000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2a) = 0xf59fb000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libdbus-glib-1.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libdbus-glib-1.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libdbus-glib-1.so.2", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320m\0\0004\0\0\0000"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=114240, ...}) = 0
[pid 23066] mmap2(NULL, 113152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf59b5000
[pid 23066] mmap2(0xf59d0000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1b) = 0xf59d0000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libdbus-1.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libdbus-1.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libdbus-1.so.3", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\0V\0\0004\0\0\0\244"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=223116, ...}) = 0
[pid 23066] mmap2(NULL, 226464, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf597d000
[pid 23066] mmap2(0xf59b3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x35) = 0xf59b3000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXext.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXext.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXext.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000*\0\0004\0\0\0L"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=56156, ...}) = 0
[pid 23066] mmap2(NULL, 55228, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf596f000
[pid 23066] mmap2(0xf597c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0xd) = 0xf597c000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpangoft2-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpangoft2-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpangoft2-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260X\0\0004\0\0\0D"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=158548, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf596e000
[pid 23066] mmap2(NULL, 157432, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5947000
[pid 23066] mmap2(0xf596d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x26) = 0xf596d000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXt.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXt.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXt.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\312\0\0004\0\0\0t"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=324484, ...}) = 0
[pid 23066] mmap2(NULL, 325012, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58f7000
[pid 23066] mmap2(0xf5943000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x4c) = 0xf5943000
[pid 23066] mmap2(0xf5946000, 1428, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5946000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libgthread-2.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libgthread-2.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\20\0\0004\0\0\0\220"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=14200, ...}) = 0
[pid 23066] mmap2(NULL, 17124, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58f2000
[pid 23066] mmap2(0xf58f6000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3) = 0xf58f6000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/librt.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/librt.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/librt.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\240\30\0\0004\0\0\0\240"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=30624, ...}) = 0
[pid 23066] mmap2(NULL, 33336, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58e9000
[pid 23066] mmap2(0xf58f0000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6) = 0xf58f0000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXcomposite.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXcomposite.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXcomposite.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\t\0\0004\0\0\0T"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=6716, ...}) = 0
[pid 23066] mmap2(NULL, 9612, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58e6000
[pid 23066] mmap2(0xf58e8000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf58e8000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXdamage.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXdamage.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXdamage.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\10\0\0004\0\0\0p"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=6232, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf58e5000
[pid 23066] mmap2(NULL, 9132, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58e2000
[pid 23066] mmap2(0xf58e4000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf58e4000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXfixes.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXfixes.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXfixes.so.3", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\17\0\0004\0\0\0\244"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=14396, ...}) = 0
[pid 23066] mmap2(NULL, 17388, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58dd000
[pid 23066] mmap2(0xf58e1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3) = 0xf58e1000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXinerama.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXinerama.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXinerama.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\7\0\0004\0\0\0P"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=6496, ...}) = 0
[pid 23066] mmap2(NULL, 9340, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58da000
[pid 23066] mmap2(0xf58dc000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf58dc000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXi.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXi.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXi.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\23\0\0004\0\0\0\310"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=30424, ...}) = 0
[pid 23066] mmap2(NULL, 29344, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58d2000
[pid 23066] mmap2(0xf58d9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x7) = 0xf58d9000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXrandr.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXrandr.so.2", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXrandr.so.2", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\21\0\0004\0\0\0\270"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=22136, ...}) = 0
[pid 23066] mmap2(NULL, 20992, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58cc000
[pid 23066] mmap2(0xf58d1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5) = 0xf58d1000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXcursor.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXcursor.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXcursor.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@!\0\0004\0\0\0\24"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=32764, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf58cb000
[pid 23066] mmap2(NULL, 35668, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58c2000
[pid 23066] mmap2(0xf58ca000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x7) = 0xf58ca000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libz.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libz.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libz.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300\30\0\0004\0\0\0\24"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=81012, ...}) = 0
[pid 23066] mmap2(NULL, 83740, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf58ad000
[pid 23066] mmap2(0xf58c1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x13) = 0xf58c1000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libdirectfb-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libdirectfb-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libdirectfb-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0P\274\0\0004\0\0\0\314"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=421300, ...}) = 0
[pid 23066] mmap2(NULL, 421540, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5846000
[pid 23066] mmap2(0xf58ab000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x65) = 0xf58ab000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libfusion-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libfusion-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libfusion-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20$\0\0004\0\0\0\370"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=28344, ...}) = 0
[pid 23066] mmap2(NULL, 31328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf583e000
[pid 23066] mmap2(0xf5845000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6) = 0xf5845000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libdirect-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libdirect-1.0.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libdirect-1.0.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\2602\0\0004\0\0\0t"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=76932, ...}) = 0
[pid 23066] mmap2(NULL, 81836, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf582a000
[pid 23066] mmap2(0xf583d000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x12) = 0xf583d000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpng12.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpng12.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpng12.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\300<\0\0004\0\0\0D"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=144172, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5829000
[pid 23066] mmap2(NULL, 147088, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5805000
[pid 23066] mmap2(0xf5828000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x22) = 0xf5828000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxcb-render-util.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libxcb-render-util.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libxcb-render-util.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\20\0\0004\0\0\0\204"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=10052, ...}) = 0
[pid 23066] mmap2(NULL, 13088, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5801000
[pid 23066] mmap2(0xf5804000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2) = 0xf5804000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxcb-render.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libxcb-render.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libxcb-render.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0 (\0\0004\0\0\0\34"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=25388, ...}) = 0
[pid 23066] mmap2(NULL, 28224, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf57fa000
[pid 23066] mmap2(0xf5800000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x5) = 0xf5800000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxcb.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libxcb.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libxcb.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\177\0\0004\0\0\0\340"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=96240, ...}) = 0
[pid 23066] mmap2(NULL, 95052, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf57e2000
[pid 23066] mmap2(0xf57f9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x17) = 0xf57f9000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpixman-1.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpixman-1.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpixman-1.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\34\0\0004\0\0\0\260"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=164840, ...}) = 0
[pid 23066] mmap2(NULL, 167640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf57b9000
[pid 23066] mmap2(0xf57e1000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x27) = 0xf57e1000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libpcre.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libpcre.so.3", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libpcre.so.3", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260\17\0\0004\0\0\0@"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=162088, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf57b8000
[pid 23066] mmap2(NULL, 164984, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf578f000
[pid 23066] mmap2(0xf57b7000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x27) = 0xf57b7000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libxcb-xlib.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libxcb-xlib.so.0", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libxcb-xlib.so.0", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\6\0\0004\0\0\0\224"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=4220, ...}) = 0
[pid 23066] mmap2(NULL, 7108, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf578d000
[pid 23066] mmap2(0xf578e000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0) = 0xf578e000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libexpat.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libexpat.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libexpat.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000!\0\0004\0\0\0<"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=151372, ...}) = 0
[pid 23066] mmap2(NULL, 154236, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5767000
[pid 23066] mmap2(0xf578b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x23) = 0xf578b000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libnsl.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libnsl.so.1", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/lib/libnsl.so.1", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\00001\0\0004\0\0\0\230"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=79608, ...}) = 0
[pid 23066] mmap2(NULL, 92136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5750000
[pid 23066] mmap2(0xf5763000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x12) = 0xf5763000
[pid 23066] mmap2(0xf5765000, 6120, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5765000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXau.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXau.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXau.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\t\0\0004\0\0\0\20"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=7160, ...}) = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf574f000
[pid 23066] mmap2(NULL, 10060, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf574c000
[pid 23066] mmap2(0xf574e000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x1) = 0xf574e000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libSM.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libSM.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libSM.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\27\0\0004\0\0\0\34"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=28420, ...}) = 0
[pid 23066] mmap2(NULL, 31336, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5744000
[pid 23066] mmap2(0xf574b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x6) = 0xf574b000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libICE.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libICE.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libICE.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000;\0\0004\0\0\0\200"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=84880, ...}) = 0
[pid 23066] mmap2(NULL, 90992, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf572d000
[pid 23066] mmap2(0xf5741000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x14) = 0xf5741000
[pid 23066] mmap2(0xf5742000, 4976, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xf5742000
[pid 23066] close(4)                    = 0
[pid 23066] open("/local/firefox/firefox/libXdmcp.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] open("/local/firefox/firefox/plugins/libXdmcp.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
[pid 23066] access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
[pid 23066] open("/usr/lib/libXdmcp.so.6", O_RDONLY) = 4
[pid 23066] read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\200\17\0\0004\0\0\0\214"..., 512) = 512
[pid 23066] fstat64(4, {st_mode=S_IFREG|0644, st_size=16756, ...}) = 0
[pid 23066] mmap2(NULL, 19644, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0xf5728000
[pid 23066] mmap2(0xf572c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x3) = 0xf572c000
[pid 23066] close(4)                    = 0
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5727000
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5726000
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5725000
[pid 23066] mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xf5724000
[pid 23066] set_thread_area({entry_number:-1 -> 12, base_addr:0xf57246d0, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
[pid 23066] mprotect(0xf5d55000, 4096, PROT_READ) = 0
[pid 23066] mprotect(0xf5e5d000, 16384, PROT_READ) = 0
[pid 23066] mprotect(0xf6779000, 14774272, PROT_READ|PROT_WRITE) = 0
[pid 23066] mprotect(0xf6779000, 14774272, PROT_READ|PROT_EXEC) = 0
[pid 23066] munmap(0xf76bb000, 182512)  = 0
[pid 23066] set_tid_address(0xf5724718) = 23066
[pid 23066] set_robust_list(0xf5724720, 0xc) = 0
[pid 23066] futex(0xff8cf550, FUTEX_WAKE_PRIVATE, 1) = 0
[pid 23066] rt_sigaction(SIGRTMIN, {0xf76a7280, [], SA_SIGINFO}, NULL, 8) = 0
[pid 23066] rt_sigaction(SIGRT_1, {0xf76a7680, [], SA_RESTART|SA_SIGINFO}, NULL, 8) = 0
[pid 23066] rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
[pid 23066] getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=16384*1024}) = 0
[pid 23066] uname({sys="Linux", node="faui01", ...}) = 0
[pid 23066] futex(0xf6638070, FUTEX_WAKE_PRIVATE, 2147483647) = 0
[pid 23066] futex(0x8053754, FUTEX_WAIT_PRIVATE, 2, NULL) = ? ERESTARTSYS (To be restarted)
[pid 23066] --- SIGCONT (Continued) @ 0 (0) ---
[pid 23066] futex(0x8053754, FUTEX_WAIT_PRIVATE, 2, NULL